Avira AntiVir Personal Help Center

This documentation helps to quickly familiarize you with Avira AntiVir Personal. It provides an overview of the various components of Avira AntiVir Personal as well as their functions and configuration possibilities.

The documentation consists of the following sections:

  • Product information

  • AntiVir Personal overview

  • Installation and deinstallation

  • Detection

  • Scanner

  • Control Center

  • Configuration

  • Tray Icon

  • Updates

  • FAQ, Tips

  • Viruses and more

  • Info and Service

  • Trademarks and Copyright

http://www.free-av.com

Copyright [image] Avira GmbH. All rights reserved.


Product information::Overview

Avira AntiVir Personal Help

Product information :: Overview

This section contains all information relevant to the purchase and use ofAvira AntiVir Personal:

  • Delivery scope

  • System requirements

  • Licensing

Avira AntiVir Personal is a comprehensive and flexible tool you can rely on to protect your computer from viruses, malware, unwanted programs, and other dangers

  • Please note the following information:

Note
Loss of valuable data usually has dramatic consequences. Even the best virus protection program cannot provide one hundred percent protection from data loss. Make regular copies (Backups) of your data for security purposes.

Note
A program can only provide reliable and effective protection from viruses, malware, unwanted programs and other dangers if it is up-to-date. Make sure Avira AntiVir Personal is up-to-date with automatic updates. Configure the program accordingly.


Production information :: Delivery scope

Avira AntiVir Personal gives you the following functions:

  • Control Center for monitoring, administering and controlling the entire program

  • Central configuration with user-friendly standard and advanced options and context-sensitive help

  • Scanner (On-Demand Scan) with profile-controlled and configurable search for all known types of virus and malware

  • Integration into the Windows Vista User Account Control allows you to carry out tasks requiring administrator rights

  • Guard (On-Access Scan) for continuous monitoring of all file access attempts

  • Integrated quarantine management to isolate and process suspicious files

  • Rootkit protection for detecting hidden malware installed in your computer system (rootkits)
    (Only for 32-bit systems)

  • Direct access to detailed information on the detected viruses and malware via the Internet

  • Simple and quick updates to the program, virus definitions, and search engine through Single File Update and incremental VDF updates via a webserver on the Internet

  • Integrated Scheduler to plan one-off or recurring tasks, such as updates or test runs

  • Very high rates of virus and malware detection using innovative search technologies (search engines) and heuristic search processes

  • Detection of all common archive types, including detection of nested archives and smart extensions

  • High-performance multithreading function (simultaneous high-speed scanning of multiple files)


Product information :: System requirements

For Avira AntiVir Personal to work perfectly, the computer system must fulfill the following requirements:

  • Computer as from Pentium, at least 266 MHz

  • Operating system

    • Microsoft Windows Vista (32 or 64 Bit) or

    • Microsoft Windows XP Home or Professional, SP2 recommended, or

    • Microsoft Windows 2000, SP 4 recommended

Note
Avira AntiVir Personal also supports Microsoft Windows XP x64 Edition and 64 Bit Microsoft Windows Vista.

  • At least 192 MB RAM with Windows 2000/XP

  • At least 512 MB RAM with Windows Vista

  • 30 MB free memory space on the hard disk (more if using the quarantine function)

  • 100 MB temporary memory space on the hard disk

  • For the installation of Avira AntiVir Personal: administrator rights under Windows 2000 and XP

Information for Windows Vista users

On Windows 2000 and Windows XP, many users work with administrator rights. However, this is not desirable from the point of view of security, because it is then easy for viruses and unwanted programs to infiltrate computers.

For this reason, Microsoft is introducing the "User Account Control" with Windows Vista. This offers more protection for users who are logged in as administrators: thus in Windows Vista, one administrator only has the privileges of a normal user at first. Actions for which administrator rights are required are clearly marked in Windows Vista with an information icon. In addition, the user must explicitly confirm the required action. Privileges are only increased and the administrative task carried out by the operating system after this permission has been obtained.

Avira AntiVir Personal requires administrator rights for some actions in Windows Vista. These actions are marked with the following symbol: . If this symbol also appears on a button, administrator rights are required to carry out this action. If your current user account does not have administrator rights, the Windows Vista dialog of the User Account Control asks you to enter the administrator password. If you do not have an administrator password, you cannot carry out this action.


License :: Overview

Product information :: Licensing

In order to be able to use Avira AntiVir Personal, you require a license. You thereby accept the license conditions of Avira AntiVir Personal.

The license is provided in the form of an activation key. The activation key is a letter and figure code which you will receive after purchasing Avira AntiVir Personal . The activation key contains the exact data of your license, i.e. which programs have been licensed for which period of time.

The activation key will be sent to you by email, if you have purchased AntiVir Personal on the Internet or it is rendered on the product packaging.

In order to license your program, please enter your activation key to activate Avira AntiVir Personal. The product activation may be carried out during installation. However, you can also activate Avira AntiVir Personal after the installation by running Control Center under Help::License management .

A valid activation key is already contained in Avira AntiVir Personal. For this reason, product activation is not required.


Installation and Deinstallation :: Overview

Installation and uninstallation :: Overview

This section contains information relating to the installation and uninstallation of your Avira AntiVir Personal:

  • Installation: Conditions, Installation types, Install

  • Installation modules

  • Modification installation

  • Uninstallation: Uninstall


Installation and deinstallation :: Installation

Before installing Avira AntiVir Personal, check whether your computer fulfils all the minimum system requirements. If so, you can install Avira AntiVir Personal.

  • Installation types

  • Before starting installation

  • Install

Note
From Windows XP, Avira AntiVir Personal generates a restore point of your computer before installation of Avira AntiVir Personal. This enables you to safely remove Avira AntiVir Personal if installation fails. Note that for this the option Turn off System Restore under: "Start | Settings | Control Panel | System | Tab System Restore" must not be marked.
If you want to recover your system earlier, you can do so with the function "Start | Programs | Accessories | System Tools | System Restore". The restore point generated by Avira AntiVir Personal is indicated by the entry AntiVir Personal.

Installation types

During installation you can select a setup type in the installation assistant:

Full

AntiVir Personal is completely installed with all program components. The program files are installed into a given standard folder under C:\Program Files .

User-defined

You can choose to install individual program components (see Chapter Installation and deinstallation::Installation modules). A destination folder can be selected for the program files to be installed. You can disable Create a desktop icon and program group in the Start menu and predefine a setting for the Win32 file heuristic.

Before starting installation

  • Close your email program. It is also recommended to end all running applications.

  • Make sure that no other virus protection solutions are installed. The automatic protection functions of various security solutions may interfere with each other.

  • Establish an Internet link:The Internet link is required for registration.

Note
If you do not want to register during the installation of AntiVir Personal, you do not need an active Internet link.

Note For product activation Avira AntiVir Personal uses the HTTP protocol and Port 80 (web communication) to communicate with the servers of Avira GmbH. If you are using a firewall, please ensure that the required connection and/or incoming or outgoing data are not blocked by the firewall.

Install

The installation program runs in self-explanatory dialog mode. Every window contains a certain selection of buttons to control the installation process.

The most important buttons are assigned the following functions:

  • OK: Confirm action.

  • Abort: Abort action.

  • Next: Go to next step.

  • Back: Go to previous step.

How to install AntiVir Personal:

  • Start the installation program by double-clicking on the installation file that you have downloaded from the internet or insert the program CD.

  • After a safety message, which acknowledges the producer of the software, the dialog box of the installation program will appear.

  • Click Accept.

  • The setup program for Avira AntiVir Personal starts.

  • Click Continue.

  • The dialog box Welcome... appears.

  • Click Next.

  • The dialog box Expanded risk categories appears containing information on basic and advanced protection.

  • Click Next.

  • The dialog box with the license agreement appears.

  • Confirm that you accept the license agreement and click Continue.

  • The dialog box Private use appears.

  • Confirm that AntiVir Personal will be used exclusively for private purposes and not for commercial purposes and click Continue.

  • The dialog box Generate serial number appears.

  • Where appropriate, confirm that a random serial number has been generated and transmitted during update, and click Continue.

  • The dialog box Select installation type appears.

  • Decide whether you want to perform a full or a user-defined installation.

  • Enable the option Full orUser-defined and confirm by clicking Continue.

User-defined installation

  • The dialog box Select destination directory appears.

  • Confirm the specified destination directory by clicking Continue.

- OR -

Use the Browse button to select a different destination directory and confirm by clicking Next.

  • The dialog box Install components appears:

  • Enable or disable the required components and confirm by clicking Continue.

  • In the following dialog box you can decide whether to enable the Win32 file heuristic.

  • Click Next.

  • In the following dialog box you can decide whether to create a desktop shortcut and/or a program group in the Start menu.

  • Click Next.

Continue for full and user-defined installation.

  • The license assistant is opened.

In the license assistant you have the possibility of registering as a customer of AntiVir Personal and of subscribing to the Avira GmbH Newsletter. Your personal data are required for this purpose.

  • If and when necessary, enter your data and acknowledge by clicking Next.

  • In case of a registration, the following dialog box will display the result of the activation.

  • Click Next.

  • The program components are installed and started.

  • The setup program asks if thereadme.txt file containing up-to-date information on Avira AntiVir Personal should be displayed.

  • Agree where appropriate and click Finish.

  • Confirm the information by clicking OK.

Next procedure (varies slightly depending on the operating system)):

  • The setup program closes the installation and, where appropriate, creates a desktop shortcut.

  • The file readme.txt is displayed where appropriate.

  • You are asked if you want to perform an update.

Note
On the latest version of Avira AntiVir Personal provides reliable protection from the ever-increasing number of viruses and other malware. Perform an update immediately after installation. After this first update, the Windows Security Centre (XP and Vista) announces that Avira AntiVir Personal is ACTIVATED.

- OR -

  • You are asked if you want to restart your computer.

If you want to perform an update:

  • Click Yes to confirm.

  • An update is sought for Avira AntiVir Personal via the existing web server connection.

  • Avira AntiVir Personal then starts an automatic scan of the Windows system directories.

Note
The first scan is particularly important to ensure that your system is free from viruses and malware. Do not cancel the first scan.

If you want to restart the computer:

  • Click Yes to confirm.

  • The computer is restarted.


Installation and Deinstallation :: Change Installation

Installation and uninstallation :: Modification installation

You have the option of adding or removing individual program components of the current Avira AntiVir Personal installation (see Installation and uninstallation::Installation modules)

If you wish to add or remove modules of the actual Avira AntiVir Personal installation, you can use the option Add or Remove Programs in the Windows control panel to Change/Remove programs.

Select Avira AntiVir Personal and click Change. In the welcome dialog of Avira AntiVir Personal select the option Modify. You will be guided through the installation changes.


Installation and uninstallation::Installation modules

Installation and uninstallation :: Installation modules

In a user-defined installation or a modification installation, the following installation modules can be selected, added or removed.

  • AntiVir Personal
    This module contains all components required for successful installation of Avira AntiVir Personal.

  • AntiVir Guard
    The AntiVir Guard runs in the background. It monitors and repairs, where necessary, files during operations such as open, write and copy in on-access mode. Whenever a user carries out a file operation (e.g. load document, execute, copy), Avira AntiVir Personal automatically scans the file. Renaming a file does not trigger a scan by AntiVir Guard.

  • Rootkit Detection
    The     Rootkit Detection checks whether software is already installed on your computer that can no longer be detected with conventional methods of malware protection after penetrating the computer system.

  • Shell Extension
    The Avira AntiVir Personal Shell Extension generates an entry Scan selected files with AntiVir in the context menu of the Windows Explorer (right-hand mouse button). With this entry you can directly scan files or directories.


Uninstallation

Installation and uninstallation :: Uninstallation

If you wish to remove Avira AntiVir Personal from your computer, you can use the option Add or Remove Programs to Change/Remove programs in the Windows Control Panel.

To uninstall Avira AntiVir Personal (e.g. in Windows XP and Windows Vista):

  • Open the Control Panel via the Windows Start menu.

  • Double click on Software (Windows Vista: Program files).

  • Select Avira AntiVir Personal and clickRemove.

  • You will be asked if you really want to remove the program.

  • Click Yes to confirm.

  • All components of the program are removed.

  • Click on Finish to complete uninstallation.

  • Where appropriate, a dialog box appears recommending that your computer be restarted.

  • Click Yes to confirm.

  • Avira AntiVir Personal is uninstalled, and all directories, files and registry entries for Avira AntiVir Personal are deleted when your computer is restarted.


AntiVir Personal overview

This section contains an overview of the functionality and operation of AntiVir Personal.

  • Interface and operation

  • How to...?


AntiVir Personal overview::User interface and operation

AntiVir Personal overview:: User interface and operation

Your operate AntiVir Personal via three program interface elements:

  • Control Center: Monitoring and control of AntiVir Personal

  • Avira AntiVir Personal Configuration: Configuration of AntiVir Personal

  • Tray Icon in the system tray of the taskbar: Open Control Center and other functions


AntiVir Personal overview::User interface and operation::Control Center

AntiVir Personal overview::User interface and operation

Control Center

The Control Center is designed to monitor the protection status of your computer systems and control and operate the protection components and functions of AntiVir Personal.

  • Starting and ending Control Center

  • Control Center operation

The Control Center window is divided into three areas: themenu bar, thenavigation bar and the detail windowview:

  • Menu bar: In the Control Center menu bar, you can access general program functions and information on AntiVir Personal.

  • Navigation area: In the navigation area, you can easily swap between the individual sections ofControl Center. The individual sections contain information and functions of the program components of AntiVir Personal and are arranged in the navigation bar according to activity. For example: Activity Overview - SectionStatus.

  • View: This window shoes the section selected in the navigation area. According to section, in the upper bar of the detail window you will find buttons to execute functions and actions Data or data objects are displayed in lists in the individual sections You can sort the lists by clicking in the box defining how you wish to sort the list.

Starting and ending Control Center

To start the Control Center, the following options are available:

  • double click the program icon on your desktop

  • via the AntiVir Personal program entry in the start menu | program.

  • via the Avira AntiVir Personal tray icon.

Close the Control Center via the menu command Close in the menu File or by clicking on the close tab in the Control Center.

Control Center operation

To navigate in the Control Center

  • Select an activity in the navigation bar.

  • The activity opens and other sections appear. The first section of the activity is selected and displayed in the view.

  • If necessary, click another section to display this in the detail window.

- OR -

  • Select a section via the menu View.

Note
You can activate the keyboard navigation in the menu bar with the help of the [ALT] key. If navigation is activated, you can move within the menu with the arrow keys. With the Return key you activate the active menu item.

To process data or objects displayed in the detail window:

  • highlight the data or object you wish to edit.

To highlight multiple elements (elements in columns), hold down the control key or the shift key while selecting the elements.

  • Click the appropriate button in the upper bar of the detail window to edit the object


AntiVir Personal overview::User interface and operation::Configuration

AntiVir Personal overview::User interface and operation

Configuration

In Avira AntiVir Personal Configuration, you can implement settings for AntiVir Personal. After installation, AntiVir Personal is configured with standard settings, ensuring optimal protection for your computer system. However, your computer system or your specific requirements for AntiVir Personal may mean you need to adapt the protective components of AntiVir Personal.

  • Accessing Avira AntiVir Personal Configuration

  • Operating Avira AntiVir Personal Configuration

Avira AntiVir Personal Configuration opens a dialog box: confirm or delete your configuration settings using the OK or Cancel button. You can select individual configuration sections in the left-hand navigation bar.

Accessing Avira AntiVir Personal Configuration

You have several options for accessing the configuration:

  • via the Windows control panel.

  • via the Windows Security Center - from Windows XP Service Pack 2.

  • via the Avira AntiVir Personal tray icon.

  • in the Avira AntiVir Personal Control Center via the menu item Extras | Configuration.

  • In the Avira AntiVir Personal Control Center via the button Configuration.

Note
If you are accessing configuration via the Configuration button in Control Center, go to the configuration register of the section which is active in Control Center. Expert mode must be activated to select individual configuration registers In this case, a dialog appears asking you to activate expert mode

Avira AntiVir Personal Configuration operation

Navigate in the configuration window as you would in Windows Explorer:

  • Click on an entry in the tree structure to display this configuration section in the detail window

  • Click on the plus symbol in front of an entry to expand the configuration section and display configuration subsections in the tree structure.

  • To hide configuration subsections, click on the minus symbol in front of the expanded configuration section.

Note
All configuration sections are only displayed in expert mode. Activate expert mode to see all configuration sections Expert mode can be protected by a password which must be defined during activation.

If you want to confirm your configuration settings:

  • Click OK.

  • The configuration window is closed and the settings are accepted.

If you want to finish configuration without confirming your settings:

  • Click Cancel.

  • The configuration window is closed and the settings are discarded.


AntiVir Personal overview::User interface and operation::Tray icon

AntiVir Personal overview :: User interface and operation

Tray icon

After installation, you will see the AntiVir Personal tray icon in the system tray of the taskbar:

Central functions of Avira AntiVir Personal can be quickly accessed via the context menu of the tray icon. To open the context menu, click on the tray icon with the right-hand mouse button.


AntiVir Personal overview :: How to...?

Avira AntiVir Personal automatic update

Note
An update job has been pre-installed to update Avira AntiVir Personal every24 hours if an internet connection is available and additionally when an internet connection is established.

To create a job in AntiVir Scheduler to update Avira AntiVir Personal automatically:

  • In Control Center, select the Manager:: Scheduler section.

  • Click on the [image] Create new job with the wizard icon.

  • The dialog box Name and description of job appears.

  • Give the job a name and, where appropriate, a description.

  • Click Next.

  • The dialog box Type of job is displayed.

  • Select Update job from the list.

  • Click Next.

  • The dialog box Time of job appears.

  • Select a time for the update:

  • Immediately

  • Daily

  • Weekly

  • Interval

  • Once

  • Login

Note
We recommend that you update Avira AntiVir Personal regularly and often, e.g. every24 hours.

  • Where appropriate, specify a date according to the selection.

  • Where appropriate, select additional options (availability depends on type of job):

  • Also start job when internet connection is established

In addition to the defined frequency, the job is carried out when an internet connection is set up.
In addition to the defined frequency, the job is carried out when an Internet connection is set up.

  • Repeat job if the time has already expired

Past jobs are carried out that could not be carried out at the required time, for example because the computer was switched off.

  • Click Next.

  • The dialog box Select display mode appears.

  • Select the display mode of the job window:

  • Minimize: progress bar only

  • Maximize: Entire job window

  • Hide: No job window

  • Click Finish.

  • Your newly created job appears on the start page of the Manager :: Scanner section with the status activated (check mark).

  • Where appropriate, deactivate jobs which are not to be carried out.

Use the following icons to further define your jobs:

View properties of a job

Modify job

Delete job


Avira AntiVir Personal manual update

AntiVir Personal overview :: How to...?

Start a manual update

You have various options for starting an Avira AntiVir Personal update manually: When an update is started manually, the virus definition file and search engine are always updated. A product update can only take place if you have activated the option Download and automatically install product updates in the configuration under General :: Update

To start an Avira AntiVir Personal update manually:

  • With the right-hand mouse button, click on the Avira AntiVir Personal tray icon in the taskbar.

  • A context menu appears.

  • Select Start update.

  • The dialog box Avira AntiVir Personal Updater appears.

- OR -

  • In the Control Center, select the Overview :: Status section.

  • In the Last update field, click on the link Start update.

  • The Avira AntiVir Personal Updater dialog box appears.

- OR -

  • In the Control Center, in the Update menu, select the menu command Start update.

  • The Avira AntiVir Personal Updater dialog box appears.

Note
We strongly recommend regular automatic updates for Avira AntiVir Personal, e.g. every 24 hours.

Note
You can also carry out a manual update directly via the Windows security centre.


AntiVir Personal overview :: How to...?

On-demand scan: Using a scan profile to scan for viruses and malware

A scan profile is a set of drives and directories to be scanned.

The following options are available for scanning via a scan profile:

  • Use predefined scan profile

if the predefined scan profile corresponds to your requirements.

  • Customize and apply scan profile (manual selection)

if you want to scan with a customized scan profile.

Depending on the operating system, various icons are available for starting a scan profile:

  • In Windows XP and 2000:

This icon starts the scan via a scan profile.

  • In Windows Vista:

In Microsoft Windows Vista, the control center at the moment only has limited rights, e.g. for access to directories and files. Certain actions and file accesses can only be carried out in the control centre with extended administrator rights. These extended administrator rights must be granted at the start of each scan via a scan profile.

This icon starts a limited scan via a scan profile. Only directories and files that Windows Vista has granted access rights to are scanned.

This icon starts the scan with extended administrator rights. After confirmation, all directories and files in the selected scan profile are scanned.

To scan for viruses and malware with a scan profile:

  • In the Control Center select the Local protection :: Scanner section.

  • Predefined scan profiles appear.

  • Select one of the predefined scan profiles.

-OR-

  • Adapt the scan profile Manual selection.

  • Click on the (Windows XP: or Windows Vista: ) icon.

  • The Luke Filewalker window appears and an on-demand scan is started.

  • When the scan is completed, the results are displayed.

If you want to adapt a scan profile:

  • In the scan profile, expand Manual Selection the file tree so that all the drives you want to scan are open:

  • Highlight the nodes you want to scan by clicking on the box:


On-demand scan: Scan for viruses and malware using Dragamp;Drop

AntiVir Personal overview :: How to...?

On-demand scan: Scan for viruses and malware using Drag&Drop

To scan for viruses and malware systematically using Drag&Drop:

  • Open the Control Center of Avira AntiVir Personal.

  • Highlight the file

  • Use the left-hand mouse button to drag the highlighted file into the Control Center.

  • The Luke Filewalker window appears and an on-demand scan is started.

  • When the scan is completed, the results are displayed.


AntiVir Personal overview :: How to...?

On-demand scan: Scan for viruses and malware via the context menu

To scan for viruses and malware systematically via the context menu:

  • Click with the right-hand mouse button (e.g. in Windows Explorer, on the desktop or in an open Windows directory) on the file

  • The Windows Explorer context menu appears.

  • Select Scan selected files with AntiVir in the context menu.

  • The Luke Filewalker window appears and the on-demand scan starts.

  • When the scan is completed, the results are displayed.


AntiVir Personal overview :: How to...?

On-demand scan: Automatically scan for viruses and malware

To create a job to automatically scan for viruses and malware:

  • In the Control Center select the Manager:: section Scheduler.

  • Click on the icon [image] .

  • The dialog box Name and description of job appears.

  • Give the job a name and, where appropriate, a description.

  • Click Next.

  • The dialog box Type of job appears.

  • Select Scan job.

  • Click Next.

  • The dialog box Select profile appears.

  • Select the profile to be scanned.

  • Click Next.

  • The dialog box Time of job appears.

  • Select a time for the scan:

  • Immediately

  • Daily

  • Weekly

  • Interval

  • Once

  • Login

  • Where appropriate, specify a date according to the selection.

  • Where appropriate, select the following additional options (availability depends on job type):

  • Repeat job if the time has already expired

Past jobs are carried out that could not be carried out at the required time, for example because the computer was switched off.

  • Click Next.

  • The dialog box Select display mode appears.

  • Select the display mode of the job window:

  • Minimize: progress bar only

  • Maximize: Entire job window

  • Hide: No job window

  • Click Finish.

  • The job you have just initiated is shown as activated (check mark) on the start page of the Manager :: Scheduler section.

  • Where appropriate, deactivate jobs which are not to be carried out.

Use the following icons to further define your jobs:

View properties of a job

Modify job

Delete job


AntiVir Personal overview :: How to...?

On-demand scan: Targeted scan for active rootkits

To scan for active rootkits, use the predefined scan profile Scan for rootkits.

To scan for active rootkits systematically:

  • In the Control Center select the Local protection :: Scanner section.

  • Predefined scan profiles appear.

  • Select the predefined scan profile Scan for rootkits.

  • Where appropriate, highlight other nodes and directories to be scanned by clicking on the check box of the directory level.

  • Click on the (Windows XP: or Windows Vista: ) icon.

  • The Luke Filewalker window appears and an on-demand scan is started.

  • When the scan is completed, the results are displayed.


AntiVir Personal overview :: How to...?

Reacting to detected viruses and malware

For the individual protection components of AntiVir Personal, you can define how AntiVir Personal reacts to a detected virus or unwanted program in the configuration under the section Action for concerning files.

  • Interactive

When this option is enabled, if a virus or unwanted program is detected a dialog box appears in which you can select what to do with the infected object. This option is enabled as the default setting.

  • Automatic

When this option is enabled, if a virus or unwanted program is detected, no dialog box appears and you cannot select an action. The component reacts in accordance with your predefined settings.

If you have selected the option Interactive for your protection components, Avira AntiVir Personal gives you the following options for actions to take:

Note
Which options are displayed depends on the operating system and the module, (AntiVir Guard, AntiVir Scanner), that makes the detection.

  • Repair

The file is repaired

This option is only available if the infected file can be repaired.

  • Move to quarantine

The file is packaged into a special format (*.qua) and moved to the Quarantine directory INFECTED on your hard disk, so that direct access is no longer possible. Files in this directory can be repaired in Quarantine at a later data or, if necessary, sent to Avira GmbH.

  • Delete

The file is deleted but can be recovered with the appropriate tools (e.g. Avira UnErase). This allows the virus signature to be recovered.

  • Rename

The file is renamed with a *.vir extension. Direct access to these files (e.g. with double-click) is therefore no longer possible. Files can be repaired and given their original name at a later time.

  • Deny access

If this option is enabled, the detection is only entered in the report file.

  • Ignore

Avira AntiVir Personal takes no further action. The infected file remains active on your computer.

Warning
This could result in loss of data and damage to the operating system! Only use the Ignore option in exceptional cases.

  • Take no further action

Access to the file is blocked.

  • Copy file in quarantine before action

This option can only be selected if one of the options Repair, Delete is selected.

  • Apply selection to all subsequent detections

The action selected for this detection is applied to the next detection.

Note
We recommend that you move any suspicious file that cannot be repaired to Quarantine.

If viruses or malware have been found in an archive file, you have the following options:

  • Delete the entire archive

  • Rename the archive

  • Move archive to Quarantine

Note
Individual infected files cannot be deleted from the archive.


Quarantine::Handling quarantined files (*.qua)

AntiVir Personal overview :: How to...?

Quarantine: Handling quarantined files (*.qua)

To handle quarantined files:

  • In the Control Center select Manager :: Quarantine section.

  • Check which files are involved, so that, if necessary, you can reload the original back onto your computer from another location.

If you want to see more information on a file:

  • Highlight the file and click on [image] .

  • The dialog box Properties appears with more information on the file.

If you want to rescan a file:

Scanning a file is recommended if the Avira AntiVir Personal virus definition file has been updated and a false positive report is suspected. This enables you to confirm a false positive with a rescan and restore the file.

  • Highlight the file and click on [image] .

  • The file is scanned for viruses and malware using the on-demand scan settings.

  • After the scan, the dialog Scan statistics appears which displays statistics on the status of the file before and after the rescan.

To delete a file:

  • Highlight the file and click on [image] .

If you are unsure whether the files can be safely deleted:

  • Configured email settings

  • Send the files to Avira GmbH for analysis. To do this, click on [image] .

You can also restore the files in Quarantine:

  • see Quarantine: Restoring files in quarantine


AntiVir Personal overview :: How to...?

Quarantine: Restore the files in quarantine

Different icons control the restore procedure, depending on the operating system:

  • In Windows XP and 2000:

This icon restores the files to their original directory.

This icon restores the files to a directory of your choice.

  • In Windows Vista:

In Microsoft Windows Vista, the control center at the moment only has limited rights, e.g. for access to directories and files. Certain actions and file accesses can only be carried out in the control centre with extended administrator rights. These extended administrator rights must be granted at the start of each scan via a scan profile.

This icon restores the files to a directory of your choice.

This icon restores the files to their original directory. If extended administrator rights are necessary to access this directory, a corresponding request appears.

To restore files in quarantine:

Warning
This could result in loss of data and damage to the operating system of the computer! Only use the function Restore selected object in exceptional cases. Only restore files that could be repaired by a new scan.

  • File rescanned and repaired.

  • In the Control Center select Manager :: Quarantine section.

Note
Emails and email attachments can only be restored using the option [image] if the file extension is *.eml.

To restore a file to its original location:

  • Highlight the file and click on the (Windows 2000/XP: , Windows Vista [image] ) icon.

This option is not available for emails.

Note
Emails and email attachments can only be restored using the option [image] if the file extension is *.eml.

  • A message appears asking if you want to restore the file.

  • Click Yes.

  • The file is restored to the directory it was in before it was moved to quarantine.

To restore a file to a specified directory:

  • Highlight the file and click on [image] .

  • A message appears asking if you want to restore the file.

  • Click Yes.

  • The Windows default window for selecting the directory appears.

  • Select the directory to restore the file to and confirm.

  • The file is restored to the selected directory.


AntiVir Personal overview :: How to...?

Quarantine: move suspicious files to quarantine

To move a suspect file to quarantine manually:

  • In the Control Center select Manager :: Quarantine section.

  • Click on [image] .

  • The Windows default window for selecting a file appears.

  • Select the file and confirm.

  • The file is moved to quarantine.

You can scan files in quarantine with AntiVir Scanner:

  • see Quarantine: Handling quarantined files (*.qua)


AntiVir Personal overview :: How to...?

Scan profile: Amend or delete file type in a scan profile

To stipulate additional file types to be scanned or exclude specific file types from the scan in a scan profile (only possible for manual selection ):

  • In the Control Center go to the section Local protection :: Scanner.

  • With the right-hand mouse button, click on the scan profile you want to edit.

  • A context menu appears.

  • Select File filter.

  • Expand the context menu further by clicking on the small triangle on the right-hand side of the context menu.

  • The entries Default, Scan all files and User-defined appear.

  • Select User-defined.

  • The File extensions dialog box appears with a list of all file types to be scanned with the scan profile.

If you want to exclude a file type from the scan:

  • Highlight the file type and click Delete.

If you want to add a file type to the scan:

  • Highlight the file type.

  • Click Add and enter the file extension of file type into the input box.

Use a maximum of 10 characters and do not enter the leading dot. Wildcards (* and ? ) are allowed as replacements.


AntiVir Personal overview :: How to...?

Scan profile: Create desktop shortcut for scan profile

You can start an on-demand scan directly from your desktop via a desktop shortcut to a scan profile without accessing the Avira AntiVir Personal Control Center.

To create a desktop shortcut to the scan profile:

  • In the Control Center go to the section Local protection :: Scanner.

  • Select the scan profile you want to create a shortcut for.

  • Click on the icon [image] .

  • The desktop shortcut is created.


AntiVir Personal overview :: How to...?

Events: Filter events

In Control Center, under Overview :: Events events are displayed that have been generated by AntiVir Personal program components. (analogous to the event display of your Windows operating system). The program components are:

  • Updater

  • Guard

  • Scanner

  • Scheduler

The following event types are displayed:

  • Information

  • Warning

  • Error

  • Detection

To filter displayed events:

  • In Control Center select the section Overview :: Events.

  • Check the box of the program components to display the events of the activated components.

- OR -

Uncheck the box of the program components to hide the events of the deactivated components.

  • Check the event type box to display these events.

- OR -

Uncheck the event type box to hide these events.


Detection :: Overview

This section contains comprehensive information, arranged according to module, on detection messages. You can also find information on detected viruses and unwanted programs in archives and mailboxes and on detected boot sector viruses.

  • Scanner

  • Guard

  • Archive

  • Boot sector virus

  • Detection in mailbox

  • Blocked file

  • Rootkits


Detection :: Scanner

If the option interactive is selected in the configuration of the Scanner in the group Action for concerning files, you are asked what is to be done with a detected virus or unwanted program.

Note
If reporting is enabled, the Scanner enters each detection in the Report file.

Alert message

Name and path of the currently detected virus or unwanted program

The name and path of the currently detected virus or unwanted program is displayed in the middle window of the message.

Options

Note
If the detection is a heuristic hit (HEUR/), a unusual runtime compression tool (PCK/) or a file with a hidden file extension (HEUR-DBLEXT/), in interactive mode only the options Move to quarantine and Ignore are available. In automatic mode the detection is automatically moved to quarantine.
This restriction prevents detected files, which could be false positives, from being directly removed (deleted) from your computer. The file can be recovered at any time with the aid of the Quarantine Manager.

Repair

If this option is enabled, the Scanner repairs the affected file.

Note
The option Repair can only be enabled if a repair of the detected file is possible.

Move to quarantine

If this option is enabled, the Scanner moves the file to quarantine. The file can be restored from the Quarantine Manager if it is of informative value or - if necessary - sent to the Avira Malware Research Center. Depending on the file, further selection options are available in the Quarantine Manager.

Delete

If this option is enabled, the file is deleted but can be restored if necessary with appropriate tools (e.g. Avira UnErase). The virus pattern can still be detected again.

Rename

If this option is enabled, the Scanner renames the file. Direct access to these files (e.g. with double-click) is therefore no longer possible. Files can later be repaired and given their original names again.

Ignore

If this option is enabled, access to the file is allowed and the file is left as it is.

Warning
The affected file remains active on your workstation! It may cause serious damage on your workstation!

Copy file to quarantine before action

If this option is enabled, the Scanner creates a back-up copy before carrying out the requested action. The back-up copy is saved in quarantine. It can be restored from the Quarantine Manager if it is of informative value or - if necessary - sent to the Avira Malware Research Center. Depending on the file, further selection options are available in the Quarantine Manager.

Apply selection to all following detections

If this option is enabled, the Scanner uses the selected option for all malware detected during the scan.

Alert message in the case of a blocked file

If the required action cannot be carried out by the Scanner in the event of a detection, the file is blocked, for example by another application or by your operating system.

Alert message

Name and path of the currently detected virus or unwanted program

The name and path of the currently detected virus or unwanted program is displayed in the middle window of the message.

Options

Delete blocked file after restart

When the option is enabled, the blocked file is immediately deleted during the boot process after a restart.

Ignore

If this option is enabled, access to the file is allowed and the file is left as it is.

Alert
The affected file remains active on your workstation! It may cause serious damage on your workstation!

Apply selection to all following blocked files

When the option is enabled, the Scanner uses the selected option for all blocked files containing a virus or unwanted program.

Buttons and links

Button / link

Description

With this link - and with an active Internet connection - you can access an Internet page with further information on this virus or unwanted program.

This page of the online help is opened via this button or link.


Detection :: Guard

If the option interactive is selected in the configuration of the Guard in the group Action for concerning files, you are asked what is to be done with a detected virus or unwanted program.

Alert message

Name and path of the currently detected virus or unwanted program

The name and path of the currently detected virus or unwanted program is displayed in the middle window of the message.

Options

Note
If the detection is a heuristic hit (HEUR/), a unusual runtime compression tool (PCK/) or a file with a hidden file extension (HEUR-DBLEXT/), in interactive mode only the options Move to quarantine, Ignore and Deny access are available In automatic mode the detection is automatically moved to quarantine.
This restriction prevents the detected files, which may be a false alarm, being directly removed (deleted) from your computer. The file can be recovered at any time with the aid of the Quarantine Manager.

Repair

If this option is enabled, the Guard repairs the affected file.

Note
The option Repair can only be enabled if a repair of the detected file is possible.

Move to quarantine

If this option is enabled, the Guard moves the file to quarantine. The file can be restored from the Quarantine Manager if it is of informative value or - if necessary - sent to the Avira Malware Research Center. Depending on the file, further selection options are available in the Quarantine Manager.

Delete

If this option is enabled, the file is deleted, but can be restored if necessary with relevant tools (e.g. Avira UnErase). The virus pattern can still be detected again.

Rename

If this option is enabled, the Guard renames the file. Direct access to these files (e.g., via double-clicking) is no longer possible. Files can later be repaired and given their original names again.

Deny access

If this option is enabled, the Guard only enters the detection in the Report file if the Report function is enabled. In addition, the Guard writes an entry in the Event log, if this option is enabled.

Ignore

If this option is enabled, access to the file is allowed and the file is left as it is.

Warning
The affected file remains active on your workstation! It may cause serious damage on your workstation!

Buttons and links

Button / link

Description

With this link - and with an active Internet connection - you can access an Internet page with further information on this virus or unwanted program.

This page of the online help is opened via this button or link.


Detection :: Archive

If the option interactive is selected in the configuration of the Scanner in the group Action for concerning files, you are asked what is to be done with a detected virus or unwanted program.

Note
Affected files in an archive are not repaired or deleted!

Alert message

Name and path of the currently detected virus or unwanted program

The name and path of the archive in which the virus or unwanted program was detected is displayed in the middle window of the message.

Buttons and links

Button / link

Description

With this link - and with an active Internet connection - you can access an Internet page with further information on this virus or unwanted program.

This page of the online help is opened via this button or link.


Detection :: Boot sector virus

Detection:: Boot sector virus

If the option interactive is selected in the configuration of the Scanner and of the Guard in the group Action for concerning files, you are asked what is to be done with a detected virus or unwanted program.

Note
Boot sector viruses are only detected by the Guard. If possible, you can repair the detected boot sector virus with the aid of the Scanner. Alternatively, the boot sector virus can be deleted or ignored.

Alert message of the Guard

Name and path of the currently detected virus or unwanted program

The name and path of the currently detected virus or unwanted program is displayed in the lower window of the message.

Alert message of the Scanner

Name and path of the currently detected virus or unwanted program

The name and path of the currently detected virus or unwanted program is displayed in the middle window of the message.

Options

Repair

If this option is enabled, the boot sector virus is repaired.

Note
This option can only be enabled if a repair of the boot sector virus is possible.
Use the special tools Avira AntiVir Boot Sector Repair Tool to repair the master boot sectors. You can download Avira AntiVir Boot Sector Repair Tool from the website of the manufacturer. Avira AntiVir Boot Sector Repair Tool contains a virus definition file (VDF) specifically adapted to boot sectors.

Delete

If this option is enabled, the boot sector is deleted.

Ignore

If this option is enabled, the boot sector is ignored.

Buttons and links

Button / link

Description

With this link - and with an active Internet connection - you can access an Internet page with further information on this virus or unwanted program.

This page of the online help is opened via this button or link.


Detection :: Detection in Mailbox

If the option interactive is selected in the configuration of the Scanner and of the Guard in the group Action for concerning files, you are asked what is to be done with a detected virus or unwanted program.

Note
Affected files in a mailbox are not repaired or deleted!

Alert message

Information displayed

The name and path of the mailbox in which the virus or the unwanted program was detected are displayed in the window. In addition, you receive a message that access to this file is allowed.

Buttons and links

Button / link

Description

With this link - and with an active Internet connection - you can access an Internet page with further information on this virus or unwanted program.

This page of the online help is opened via this button or link.


Detection :: Blocked file

If the required action cannot be carried out by the Scanner in the event of a detection, the file is blocked, for example by another application or by your operating system.

Alert message

Name and path of the currently detected virus or unwanted program

The name and path of the detected virus or unwanted program is displayed in the middle window of the messaget - together with the information that access to the file has been blocked.

Options

Delete blocked file after restart

When the option is enabled, the blocked file is immediately deleted during the boot process after a restart.

Ignore

If this option is enabled, access to the file is allowed and the file is left as it is.

Warning
The affected file remains active on your workstation! It may cause serious damage on your workstation!

Use selection for all following blocked files

When the option is enabled, the Scanner uses the selected option for all blocked files containing a virus or unwanted program.

Buttons and links

Button / link

Description

With this link - and with an active Internet connection - you can access an Internet page with further information on this virus or unwanted program.

This page of the online help is opened via this button or link.


Detection :: Detection of a rootkit

If the option interactive is selected in the configuration of the Scanner in the group Action for concerning files , you are asked in the event of detection of a rootkit what is to be done with it.

Scanner scans for hidden processes, files and registry entries. In addition, a scan is made for hidden malware.

The alert message depends on the type of detection of a hidden object or what further action is selected.

Alert on the detection of hidden malware

Name and path of the currently detected malware

The name and path of the currently detected hidden malware is displayed in the middle window of the message.

Options

Copy to quarantine

When the option is enabled, the detection is copied to quarantine. The file can be sent by the Quarantine Manager to the Avira Malware Research Center for investigation.

Move to quarantine

When the option is enabled, the detection is moved to quarantine. You are also informed that a restart of your operating system is necessary to complete the repair process. The file can be sent by the Quarantine Manager to the Avira Malware Research Center for investigation.

Delete

When the option is enabled, the detection is moved to quarantine. You are also informed that a restart of your operating system is necessary to complete the repair process.

Ignore

When the option is enabled, the detection is left as it is.

Alert on detection of a hidden object

Name and path of the currently detected hidden object

The name and path of the currently detected hidden object are displayed in the middle window of the message.

Options

Copy to quarantine

When the option is enabled, the detection is copied to quarantine. The file can be sent by the Quarantine Manager to the Avira Malware Research Center for investigation.

Ignore

When the option is enabled, the detection is left as it is.

Warning
The hidden object remains active on your computer! It may cause serious damage on your workstation!

Buttons and links

Button / link

Description

With this link - and with an active Internet connection - you can access an Internet page with further information on this virus or unwanted program.

This page of the online help is opened via this button or link.


Scanner :: Overview

With Avira AntiVir Personal you can carry out manual scans (on-demand scans) for viruses and unwanted programs in several ways.

  • On-demand scan via context menu
    The on-demand-scan via the context menu (right-hand mouse button - entry Scan selected files with AntiVir) is recommended if, for example, you wish to scan individual files and directories. Another advantage is that it is not necessary to first start the Avira AntiVir Personal Control Center for an on-demand scan via the context menu.

  • On-demand scan via drag & drop
    When a file or directory is dragged into the program window of the Avira AntiVir Personal Control Center, the Scanner scans the file or directory and all sub-directories it contains. This procedure is recommended if you wish to scan individual files and directories that you have saved, for example, on your desktop.

  • On-demand scan via profiles
    This procedure is recommended if you wish to regularly scan certain directories and drives (e.g. your work directory or drives on which you regularly store new files). You do not then need to select these directories and drives again for every new scan, you simply select using the relevant profile.

  • On-demand scan via the Scheduler
    The Scheduler enables you to carry out time-controlled scans.


Scanner :: Luke Filewalker

During an on-demand scan, the status window Luke Filewalker appears, which provides you with exact information on the status of the scan.

If the option interactive is selected in the configuration of the Scanner in the group Action for concerning files, you are asked what is to be done with a detected virus or unwanted program. If the option automatic is selected, any detections are shown in the report of the Scanner.

Luke Filewalker

Displayed information

Status

There are different status messages:

  • The file is being scanned

  • Initialize archive

  • Memory released

  • File is being unpacked

  • Boot sectors are being scanned

  • Master boot sectors are being scanned

  • The registry is being scanned

  • The program will be ended!

  • Scan completed

Last object

Name and path of the file that is being scanned or was last scanned.

Last detection

There are various messages for the last detection:

  • No detection

  • Name of the last detected virus or unwanted program

Scanned files

Number of scanned files.

Scanned directories

Number of scanned directories.

Scanned archives

Number of scanned archives.

Time elapsed

Duration of the on-demand scan.

Scanned

Percentage of scan already completed.

Detections

Number of detected viruses and unwanted programs.

Repaired

Number of repaired viruses and unwanted programs.

Deleted

Number of deleted viruses and unwanted programs

Moved

Number of files and unwanted programs placed in quarantine.

Warnings

Number of messages about errors that occurred during the scan.

Buttons and links

Button / link

Description

With this link - and with an active Internet connection - you can access an Internet page with further information on this virus or unwanted program.

This page of the online help is opened via this button or link.

Stop

The scan process is stopped.

Pause

The scan will be interrupted and can be continued by clicking on the button Resume.

Resume

The interrupted scan will be continued.

End

The Scanner is closed.

Report

The report file of the scan will be shown.


Control Center :: Overview

The Avira AntiVir Personal Control Center is an information, configuration and management center. In addition to the sections that can be selected individually, it offers a large number of options that can be accessed from the menu bar.

Menu bar

All functions of the Avira AntiVir Personal Control Center are contained in the menu bar.

File

  • Exit

View

  • Overview

    • Status

    • Events

    • Reports

  • Local protection

    • Scanner

    • Guard

  • Administration

    • Quarantine

    • Scheduler

  • Update

Extras

  • Boot records scan...

  • Detection list...

  • Configuration

Update

  • Start update...

  • Manual update

  • Start product update

Help

  • Readme

  • Contents

  • Support

  • About AntiVir Personal...

Note
You can activate the keyboard navigation in the menu bar with the help of the [ALT] key. If navigation is activated, you can move within the menu with the arrow keys. With the Return key you activate the active menu item.

Sections

Among other things, the sections offer you the following options:

  • Overview: In Overview you will find all sections with which you can monitor the functioning of Avira AntiVir Personal.

  • The Status section lets you see at a glance which Avira AntiVir Personal modules are active and provides information on the last update carried out. You can also see whether you own a valid license.

  • The Events section enables you to view events generated by certain Avira AntiVir Personal modules.

  • The Reports section enables you to view the results of actions executed by Avira AntiVir Personal.

  • Local protection: InLocal protection you will find the components for checking the files on your computer system for viruses and malware.

  • The Scanner section enables you to easily configure and start an on-demand scan. Predefined profiles enable you to run a scan with preset default options. In the same way it is possible to adapt the scan for viruses and unwanted programs to your personal requirements with the help of manual selection (not saved).

  • The Guard section displays information on scanned files, as well as other statistical data, which can be reset at any time, and enables access to the report file. More detailed on the last virus or unwanted program detected can be obtained practically "at the push of a button".

  • Administration: In Administration you will find tools for isolating and managing suspicious or infected files, and for planning recurring tasks.

  • The Quarantine section contains the so-called Quarantine manager. This is the central point for files already placed in quarantine or for suspect files which you would like to place in quarantine. It is also possible to send a selected file to the Avira Malware Research Center by email.

  • The Scheduler section enables you to configure scheduled scanning and update jobs and to adapt or delete existing jobs.

Buttons and links

The following buttons and links are available in each section.

Button / link

Shortcut

Description

This button or link is used to access the corresponding configuration dialog for the section.

F1

This button or link opens the corresponding online help topic for the section.


Control Center :: File :: Exit

Control Center :: File

Exit

The menu item Exit in the File menu closes the Avira AntiVir Personal Control Center.


Control Center :: View :: Status

Control Center :: View

Overview :: Status

The Status section enables you to see at a glance whether your computer system is protected and which Avira AntiVir Personal modules are active. The Status section also provides information about the last update carried out. You can also see if you own a valid license.

  • AntiVir Guard

  • Last update

AntiVir Guard

Information on the current status of AntiVir Guard is displayed in this box.

The following possibilities are available:

Icon

Status

Option

Description

Activated

Deactivate

The Guard service is active, i.e. your system is continually monitored for viruses and unwanted programs.

Note
You can deactivate the Guard service. However, please note that you are no longer protected from viruses and unwanted programs when the Guard is deactivated. All files can pass through the system unnoticed and possibly cause damage.

Deactivated

Activate

The Guard service is deactivated, i.e. the service is loaded but is not active.

Warning
No scan is carried out for viruses and unwanted programs. All files can pass through the system unnoticed. You are not protected against viruses and unwanted programs.

Note
In order to be protected against viruses and unwanted programs again, please click the link Activate in the section AntiVir Guard.

Service stopped

Start service

The Guard service is stopped.

Warning
No scan is carried out for viruses and unwanted programs. All files can pass through the system unnoticed. You are not protected against viruses and unwanted programs.

Note
In order to be protected against viruses and unwanted programs again, please click the link Start. The current status should now display Activated .

Unknown

Help

This status is displayed when an unknown error occurs. In this case, please contact our Support.

Last complete system check

Information on the current status of the last system scan carried out is displayed in this panel. A complete system check means a full check of all local hard drives on your computer.

The following details are displayed:

  • Date of last complete system check

The following possibilities are available:

Icon

Status

Option

Explanation

Date of last update, e.g. 18/07/2007

Check system now

The last complete system check was executed within the last 7 days.

Note
You can execute a complete system check by clicking on the Check system now link.

Date of last update, e.g. 10/07/2007

Check system now

The last complete system check was performed sometime between a week and a month ago.

Warning
The status of the system is insecure. There is a possibility that viruses or unwanted programs have been saved on your computer since the last system check.

Note
To check your computer, please click on the Check system now link.

Not performed

Check system now

No complete system check has been executed since installation.

Warning
The status of the system is unchecked. There is the possibility that viruses or unwanted programs are to be found on your computer.

Note
To check your computer, please click on theCheck system now.

Date of last update, e.g. 10/06/2007

Check system now

The last complete system check was more than a month ago.

Warning
The status of the system is insecure. There is a possibility that viruses or unwanted programs have accessed your computer since the last system check.

Note
To check your computer, please click on the Check system now .

Unknown

Help

This status is displayed when an unknown error occurs. In this case, please contact our support facility.

Last update

Information on the current status of the last update carried out is displayed in this box.

The following details are displayed:

  • date of the last update

Click on the + icon for more information:

  • version of the installed virus definition file and date created

  • version of the installed search engine and date created

The following possibilities are available:

Icon

Status

Option

Description

Date of last update, e.g. 18.07.2005

Start update

Your Avira AntiVir Personal version has been updated during the last 24 hours.

Note
You can update your Avira AntiVir Personal to the latest version via the link Start update.

Date of last update, e.g. 15.07.2005

Start update

Since updating, 24 hours have already passed but you are still within the update-reminder-cycle you chose. This depends on the setting in the configuration.

Note
You can update your Avira AntiVir Personal to the latest version via the link Start update.

Not executed

Start update

Since installation no update has been carried out
or
the update reminder cycle you chose has been exceeded (see Configuration) and no update has been carried out
or
the virus definition file is older than three days.

F You can update your Avira AntiVir Personal to the latest version via the link Start update.

Not available

No updates are possible when the license has expired.

Product activate until

Information on the current status of your Avira AntiVir Personal license is displayed in this box.

Click on the + icon for more information.

The following possibilities are available:

Icon

Status

Option

Meaning

full version

Validity date of the current license for a full version, e.g. December 31, 2008.

Update

You possess a valid license for Avira AntiVir Personal. Use the link Update to access the Online Shop of Avira AntiVir Personal. There you have the opportunity to adapt your current license to your needs and to upgrade to Avira AntiVir Premium .


Control Center :: View :: Scanner

Control Center :: View

Local protection :: Scanner

The section Scanner enables you to easily configure and start an on-demand scan. Predefined profiles enable a scan with already adapted default options. In the same way it is possible to adapt the scan for viruses and unwanted programs to your personal requirements with the help of manual selection. The required action can be selected either via the icon in the toolbar, via shortcut or via the context menu. Start a scan via the item Start scan with selected profile .

The display and handling of the editable profiles corresponds to that of the Windows Explorer. Every folder in the main directory corresponds to one profile. Folders to be scanned are selected or can be selected with a check mark in front of the folder to be scanned.

  • To change drives, double-click on the required letter of the drive.

  • To select drives, you can click on the box in front of the drive icon or select via the context menu.

  • You can navigate through the menu structure with the aid of the scroll bar and the scroll arrows.

Predefined profiles

Avira AntiVir Personal offers pre-defined profiles for a scan.

Note
These profiles are read only and cannot be altered or deleted. To adapt a profile to your requirements, select for a one-off scan the folder Manual selection.

Note
For predefined profiles, the scanning options of the Files group of the Avira AntiVir Personal Configuration are used. You can adapt this setting to your requirements in the Avira AntiVir Personal Configuration. Access Avira AntiVir Personal Configuration via the Configuration button or link in this section.

Local drives

All local drives on your system are scanned for viruses or unwanted programs.

Local hard disks

All local hard disks on your system are scanned for viruses or unwanted programs.

Removable Drives

All available portable drives of your system are scanned for viruses or unwanted programs.

Windows System Directory

The Windows system directory of your system is scanned for viruses or unwanted programs.

My Documents

The folder "My Documents" on your system is scanned for viruses or unwanted programs.

Active processes

All current processes are scanned for viruses or unwanted programs.

Scan for rootkits

The computer is scanned for active rootkits.

Note
In interactive mode you have several ways of reacting to a detection. In automatic mode the detection is recorded in the report file.

Note
In 64 bit systems the rootkit scan is not yet available!

Manual selection

Select this drive if you want to adapt the scan to your individual requirements.

Note
The profile Manual selection is used to scan data without first creating a new profile.

Toolbar and Shortcuts

Icon

Shortcut

Description

F3

Start scan with the selected profile

The selected profile is scanned for viruses or unwanted programs.

F6

Start scan with the selected profile as administrator

(This function is only available with Windows Vista. Administrator rights are required to carry out this action.)

The selected profile is scanned for viruses or unwanted programs.

F4

Create desktop link for the selected profile

Creates a link to the selected profile on the desktop.

Context menu

The context menu for this section can be obtained by selecting a required profile with the mouse and keeping the right-hand mouse button pressed.

Start scan

The selected profile is scanned for viruses or unwanted programs.

Start scan (administrator)

(This function is only available with Windows Vista. Administrator rights are required to carry out this action.)

The selected profile is scanned for viruses or unwanted programs.

File filter

  • Standard: Means that the files are scanned according to the setting in the group Files of Avira AntiVir Personal Configuration. This setting can be adapted to your requirements in the Avira AntiVir Personal Configuration. Access Avira AntiVir Personal Configuration via the button or the link Configuration.

  • Scan all files: All files are scanned irrespective of the setting in the configuration.

  • User-defined: A dialogue window is opened in which all file extensions are displayed that are scanned. Default entries are defined for the extensions. However, entries can be added or deleted.

Note
This entry can only be selected in the context menu when the mouse is over a check box.
It is not possible to select the option with pre-defined profiles.

Create desktop link

Creates a link to the selected profile on the desktop.

Note
This entry cannot be selected in the context menu if the profile Manual selection is selected, as the settings of the Manual selection are not permanently saved.


Control Center :: View :: Guard

Control Center :: View

Local protection :: Guard

The Guard section shows information on scanned files, as well as other statistical data, which can be reset at any time, and enables access to the report file. More detailed information on the last virus or unwanted program detected can be obtained practically "at the push of a button".

Note
If the Guard service is not started, the boxes of this section are grayed out and cannot be selected. However, the report file of the Guard can be displayed.

Toolbar

Icon

Description

Display report file

The report file of the Guard is displayed.

Displayed information

Last file found

Shows the name and location of the file last found by the Guard.

Last detection

Shows the name of the last virus or unwanted program found.

Icon / link

Description

Click on the icon or the link when connected to the Internet to display more detailed information on the virus or unwanted program.

Last file scanned

Shows the name and path of the file last scanned by the Guard.

Statistics

Number of files

Shows the number of files scanned so far.

Number of messages

Shows the number of viruses and unwanted programs found so far.

Number of deleted files

Shows the number of files deleted so far.

Number of repaired files

Shows the number of files repaired so far.

Number of moved files

Shows the number of files moved so far.

Number of renamed files

Shows the number of files renamed so far.


Control Center :: View :: Quarantine

Control Center :: View

Administration :: Quarantine

The quarantine manager manages affected objects. Avira AntiVir Personal can move affected objects to the quarantine directory in a special format. It can then no longer be executed or opened.

Note
To move objects to the quarantine manager, select the relevant option for quarantine in the Avira AntiVir Personal Configuration under Scanner - Scan :: Action on detection :: Action on detection if you are working in automatic mode.
Alternatively you can select the relevant option for quarantine in interactive mode.

Toolbar, shortcuts and context menu

Icon

Shortcut

Description

F2

Rescan object

A selected object is scanned again for viruses and unwanted programs. The settings of the on-demand scan are used for this.

Enter

Properties

Opens a dialog window with more information on the selected object.

(Windows Vista)

F3

Restore object

A selected object is restored. This object is then in its original location.

Warning
Enormous damage in the system due to viruses and unwanted programs!
If you restore files: ensure that only files are restored which were able to be cleaned by another scan.

Note
With Windows Vista, restoration of objects is only possible with administrator rights.

F6

Restore object to...

A selected object can be restored at a location selected by you. If you select this option, a "Save as" dialog opens in which you can select where to save the object.

Alert
Enormous damage in the system due to viruses and unwanted programs!
If you restore files: ensure that only files are restored which were able to be cleaned by another scan.

Ins

Add file

If you regard a file as suspicious, you can add it to the quarantine manager manually with this option and if required send it for investigation to the Avira Malware Research Center via the option Send object.

F4

Send object

The suspicious file will be sent to the Avira Malware Research Center for investigation.

Del

Delete object

A selected object is deleted from the quarantine manager. The object cannot be restored.

Table

Status

An object placed in quarantine can have different statuses:

Icon

Description

No virus or unwanted program was found, the object is "clean".

A virus or unwanted program was found.

If the suspect file was added to the quarantine manager with the option Add file, it has this warning icon.

Object type

Designation

Description

File

The object detected is a file.

Restored

See option Restore object.

Sent

See option Send file.

Detection

Shows the name of the virus or unwanted program detected.

Date/Time

Displays the date and time of the detection.

Engine

Shows the version number of the Avira AntiVir Personal search engine.

VDF

Shows the version number of the virus definition file.

Source

Shows the detection place of the virus or unwanted program.


Control Center :: View :: Scheduler

Control Center :: View

Administration :: Scheduler

The Scheduler gives you the option of creating scheduled scanning and update jobs , and adapting or deleting existing jobs.

You can define that Avira AntiVir Personal searches for new virus definition files on the Internet server, for example, every 6 hours, and where appropriate loads and installs them. You can thus always keep Avira AntiVir Personal up to date without manual effort. Or you define that Avira AntiVir Personal is to scan the computer for viruses and unwanted programs, for example, daily at 22:00.

Toolbar, shortcuts and context menu

Icon

Shortcut

Description

Ins

Insert new job

Creates a new job. An assistant clearly guides you through the necessary settings.

Enter

Properties

Opens a dialog window with more information on the selected job.

F2

Edit job

Opens the assistant to create and alter a job.

Del

Delete job

Deletes the selected jobs from the list.

Display report file

The report file of the Scheduler is displayed.

F3

Start job

Start a marked job from the list.

F4

Stop job

Stops a started and marked job.

Table

Status

Icon

Description

The job is an update job.

The job is a scan job.

Name

Name of the job.

Action

Indicates whether the job is a scan or an update of Avira AntiVir Personal.

Frequency

Indicates how often and when the job is started.

Display mode

The following display modes are available:

  • Invisible: The job is carried out in the background and is not visible. This applies to scanning jobs and update jobs.

  • Minimize: The job window only displays a progress bar.

  • Maximize: The job window is completely visible.

Enable

The job is enabled by checking the box.

Note
If the frequency of the job is set to Immediately, the job is started immediately after checking the box. This enables you to restart the job at any time on demand by checking the box.

Create jobs with the Scheduler

The AntiVir Personal assistant supports you in planning, configuring and creating

  • a timed scan for viruses and unwanted programs

  • a timed update of Avira AntiVir Personal via the Internet

For both types of jobs you must enter

  • the name and the description of the job

  • when the job should be started

  • how often the job should be carried out

  • the display mode of the job

Frequency of the job

Immediately

Job is started immediately after ending the AntiVir Personal assistant.

Daily

Job is started daily at a certain time, e.g. 22:00.

Weekly

Job is started weekly on a certain day at a certain time, e.g. Tuesday, 16:26.

Interval

Job is carried out at certain intervals, e.g. every 24 hours (minimum scan job: 15 minutes, minimum update job: 24 hours, ).

Once

Job is carried out once at a defined time, e.g. on 10.04.04 at 10:04.

Login

Job is carried out at each login of a windows user.

Start time of the job

You can define the weekday, date, time or interval when Avira AntiVir Personal should start the job. This is not displayed if you have entered Immediately as the start time.

Depending on the job type, there are various additional options

  • Also start job when connecting to Internet (dial-up)
    In addition to the defined frequency, the job is carried out when an Internet connection is set up.
    This option can be selected with an update job that is to be carried out daily, weekly or at other intervals.

  • Repeat job if the time has already expired
    Past jobs are carried out that could not be carried out at the required time, for example because the computer was switched off.
    This option can be selected both with an update job and with a scan job that is to be carried out daily, weekly, at intervals or once.

Note
With a scan job, it is possible to select pre-defined profiles in the dialog window Selection of the profile. The profile Manual selection is always carried out with the current selection.


Control Center :: View :: Reports

Control Center :: View

Overview :: Reports

The Reports section enables you to view the results of actions executed by Avira AntiVir Personal.

Toolbar, shortcuts and context menu

Icon

Shortcut

Description

Enter

Display report

Opens a window in which the result of the selected action is displayed. For example the result of a scan.

F3

Display report file

Displays the report file of the selected report.

F4

Print report file

Opens the Windows print dialog to print the report file.

Del

Delete report(s)

Deletes the selected report and the relevant report file.

Table

Status

Icon

Description

The action was successfully carried out.

The action should be checked.

The update was not successfully carried out.

Action

Shows the action carried out.

Result

Shows the result of the action.

Date/Time

Shows the date and time when the report was created.

Contents of a report for a scan

Scanned archives

Number of scanned archives.

Deleted

Total number of deleted files.

Scanned files

Total number of scanned files.

Quarantine

Total number of files placed in quarantine.

Information

Number of information items issued, for example further information that may arise during a scan.

Scanned directories

Total number of directories scanned

Renamed

Total number of renamed files

Repaired

Total number of repaired files.

Detections

Total number of viruses and unwanted programs detected.

Warnings

Number of warnings issued, for example problems that may arise during a scan.

Overwrite

Total number of overwritten files

Hidden objects

Total number of active rootkits detected

Date of the scan

Date of the scan.

Start time of the scan

Start time of the scan

Scanning time required

Displays the time in mm:ss format.

Last detection

Name of the virus or unwanted program last detected.

Scan status

Shows whether the scan job was completely carried out or aborted.


Control Center :: View :: Events

Control Center :: View

Overview :: Events

The Events enables you to view the events generated by Avira AntiVir Personal modules.

Toolbar, shortcuts and context menu

Icon

Shortcut

Description

Return

Display selected event

Opens a window in which the result of the selected action is displayed. For example the result of a scan.

F3

Export selected event(s)

Export a selected event.

Del

Delete selected event(s)

Deletes the selected event.

Modules

The events of the following modules can be displayed by the event viewer:

Icon

Description

Scheduler

AntiVir Updater

Guard

Scanner

By checking the box All [image] you can display the events of all available modules. To display only the events of a certain module, please check the box next to the required module.

Filter

The following event classification can be displayed by the event viewer.

Icon

Description

Information

Alert

Error

Detection

By checking the box Filter [image] you can display all events. To display only certain events, please check the box next to the required event.

Table

The event list contains the following information:

Icon

The icon of the event classification.

Type

A classification of the event severity: Information, Alert, Error, Detection.

Module

The module that has logged the event. For example the Guard, which has made a detection.

Action

Event description of the respective module.

Date/Time

The date and the local time the event occurred.


Control Center :: View :: Refresh

Control Center :: View

Refresh

Updates the view of the opened section.


Control Center :: Extras :: Boot records scan

Control Center :: Extras

Boot records scan

You can also scan the boot sectors of the drives of your workstation with an on-demand scan. This is recommended, for example, when Avira AntiVir Personal finds a virus when scanning individual files or directories with on-demand scan and you want to make sure that the boot sectors are not affected.

It is possible to select more than one boot sector by keeping the Shift key pressed and selecting the required drives with the mouse.

Note
You can have the boot sectors automatically scanned with on-demand scan (see Avira AntiVir Personal Configuration :: Scanner :: Scan :: Scan boot sectors of selected drives).

Note
Scanning of the boot sectors with Windows Vista is only possible with administrator rights.


Control Center :: Extras :: Detection list

Control Center :: Extras

Detection list

With this function, the names of the viruses and unwanted programs are listed that Avira AntiVir Personal knows. A convenient search function for the names is integrated.

Search for:

Enter a search word or character sequence in this box.

  • Search for character sequence within a name
    You can enter a consecutive sequence of letters or characters here on the keyboard and the marker moves to the first point in the list of names which includes this sequence - also in the middle of a name (example: "raxa" finds "Abraxas").

  • Search from the first character of a name
    You can enter the initial letter and the following characters here on the keyboard and the marker scrolls alphabetically in the list of names (example: "Ra" finds "Rabbit").

If the name or sequence of characters searched for is available, the position found is marked in the list.

Search forwards

Starts the search forwards in alphabetical order.

Search backwards

Starts the search backwards in alphabetical order.

First match

Moves in the list to the first entry found.

Entries of the detection list

Under this title there is a list with names of viruses or unwanted programs that Avira AntiVir Personal can recognize. Most entries in this list can also be removed with Avira AntiVir Personal. They are listed in alphabetical order (first special characters and numbers, then the letters). Use the scroll bar to scroll up or down in the list.


Control Center :: Extras :: Configuration

Control Center :: Extras

Configuration

The menu item Configuration in the Extras menu opens the Avira AntiVir Personal Configuration.


Control Center :: Update :: Start update...

Control Center :: Update

Start update...

The menu item Start update... in the Update menu starts an immediate update. The virus definition file and search engine have been updated. A product update can only take place if you have activated the option Download and automatically install product updates in the configuration under General :: Update


Control Center :: Update :: Manual update

Control Center :: Update

Manual update

The menu item Manual update in the Update menu opens a dialog box to select and load a VDF/search engine update package. The update package can be downloaded from the manufacturer's website (http://www.free-av.com) and contains the current virus definition file and search engine.

Note
With Windows Vista, a manual update is only possible with administrator rights.


Control Center::Update::Product updates

Control Center :: Update

Product updates

The menu item Start product update in the Update menu starts a product update. Updating the program files updates the virus definition file and the search engine.


Control Center :: Help :: Readme

Control Center :: Help

Readme

The menu item Readme in the Help menu opens the file readme.txt. This file contains important information on every new version of Avira AntiVir Personal.


Control Center :: Help :: Contents

Control Center :: Help

Contents

The menu item Contents in the Help menu opens the list of contents of the online help of Avira AntiVir Personal.


Control Center :: Help :: Support

Control Center :: Help

Support

The menu item Support in the Help menu opens during an active Internet connection an information page on http://www.avira.com/classic-support. There you can see in which ways you can contact us in the event of questions or technical problems.


Control Center :: Help :: About AntiVir Personal

Control Center :: Help

About AntiVir Personal

General

Shows addresses for information on Avira AntiVir Personal and for support.

Version information

Shows important version information for files in the Avira AntiVir Personal package.

License information

Shows the license details of the current license and enables licenses to be conveniently obtained, extended etc. via the Internet.


Configuration :: Overview

This section contains all the information you need to configure Avira AntiVir Personal and ensure optimal computer use.

  • Configuration options: overview

  • Expert mode

  • Buttons

Configuration options: overview

The following configuration options are available:

  • Scanner: Configuration of on-demand scan

Scan options

Actions for concerning files

File scan options

On-demand scan exceptions

On-demand scan heuristics

Report function setting

  • Guard: On-access scan configuration

Scan options

Actions for concerning files

On-access scan exceptions

On-access scan heuristics

Report function setting

  • General:

Configuration of email using SMTP

Extended risk categories for on-demand and on-access scan

Security: Alert for outdated AntiVir Personal, configuration protection, process protection,

Event log configuration

Configuration of report functions

Setting of directories used

Update: configuration of connection to download server, set-up of product updates

Expert mode

If this option is enabled, you obtain access to all available configuration options for Avira AntiVir Personal. If the option is disabled, only greatly simplified setting options are accessible.

If expert mode is disabled, the following configuration sections are available:

  • Scanner :: Scan (with the options Scan boot sectors of selected drives, Files and Scan memory)

  • Scanner :: Scan :: Archives (with the option Scan archives)

  • Guard :: Scan (with the options Scan mode, Files, Drives)

Buttons

Button

Description

OK

With this button you accept the settings in the configuration.

Depending on option settings, you must have administrator rights on Windows Vista.

Cancel

With this button you reject the settings in the configuration.


Configuration :: Scanner

The Scanner section of the Avira AntiVir Personal Configuration is responsible for the configuration of the on-demand scan.


Configuration :: Scanner :: Scan

Configuration :: Scanner

Scan

Here you define the basic behavior of the scan routine for an on-demand scan. If you select certain directories to be scanned with an on-demand scan, depending on the configuration the Scanner scans:

  • with a certain scanning power (priority),

  • also boot sectors and main memory,

  • certain or all boot sectors and the main memory,

  • all or selected files in the directory.

Files

The Scanner can use a filter to scan only those files with a certain extension (type).

All files

If this option is enabled, all files are scanned for viruses or unwanted programs, irrespective of their content and file extension. The filter is not used.

Note
If All files is enabled, the button File extensions cannot be selected.

Smart Extensions

If this option is enabled, the selection of the files scanned for viruses or unwanted programs is automatically chosen by Avira AntiVir Personal. This means that Avira AntiVir Personal decides respective of their content, whether the files are scanned or not. This procedure is somewhat slower than Use file extension list, but more secure, since not only on the basis of the file extension is scanned. This option is enabled as the default setting and is recommended.

Note
If Smart Extensions is enabled, the button File extensions cannot be selected.

Use file extension list

If this option is enabled, only files with a specified extension are scanned. All file types that may contain viruses and unwanted programs are preset. The list can be edited manually via the button File extension.

Note
If this option is enabled and you have deleted all entries from the list with file extensions, this is indicated with the text "No file extensions" under the button File extensions.

File extensions

With the aid of this button, a dialog window is opened in which all file extensions are displayed that are scanned in Use file extension list mode. Default entries are set for the extensions, but entries can be added or deleted.

Note
Please note that the default list may vary from version to version.

Additional settings

Scan boot sectors of selected drives

If this option is enabled, the Scanner only scans the boot sectors of the drives selected for the on-demand scan. This option is enabled as the default setting.

Scan master boot sectors

If this option is enabled, the Scanner scans the master boot sectors of the hard disk(s) used in the system.

Ignore offline files

If this option is enabled, the direct scan ignores so-called offline files completely during a scan. This means that these files are not scanned for viruses and unwanted programs. Offline files are files that were physically moved by a so-called Hierarchical Storage Management System (HSMS) from the hard disk onto a tape, for example. This option is enabled as the default setting.

Follow symbolic links

If this option is enabled, Scanner performs a scan that follows all symbolic links in the scan profile or selected directory and scans the linked files for viruses and malware. This option is not supported by Windows 2000 and has been deactivated.

Important
The option does not include any shortcuts, but refers exclusively to symbolic links (generated by mklink.exe) or Junction Points (generated by junction.exe) which are transparent in the file system.

scan for Rootkits before scan

If this option is enabled and a scan is started, Scanner scans the Windows system directory for active rootkits in a so-called shortcut. This process does not scan your computer for active rootkits as comprehensively as the scan profile Scan for rootkits, but it is significantly quicker to perform.

Important
Under 64 bit systems the rootkit scan is not yet available!

Scan process

Allow stopping the Scanner

If this option is enabled, the scan for viruses or unwanted programs can be terminated at any time with the button Stop in the window of the "Luke Filewalker". If you have disabled this setting, the button Stop in the window "Luke Filewalker" has a gray background. Premature ending of a scan process is thus not possible! This option is enabled as the default setting.

Scanner priority

With the on-demand scan, the Scanner distinguishes between priority levels. This is only effective if several processes are running simultaneously on the workstation. The selection affects the scanning speed.

Low

The Scanner is only allocated processor time by the operating system if no other process requires computation time, i.e. as long as only the Scanner is running, the speed is maximum. All in all, work with other programs is optimal: The computer responds more quickly if other programs require computation time while the Scanner continues running in the background. This setting is activated by default and is recommended.

Medium

The Scanner is performed with normal priority. All processes are allocated the same amount of processor time by the operating system. Under certain circumstances, work with other applications may be affected.

High

The Scanner has the highest priority. Simultaneous work with other applications is almost impossible. The Scanner completes its scan at maximum speed, however.


Configuration :: Scanner :: Scan :: Action for affected files

Configuration :: Scanner :: Scan

Action for concerning files

Action for concerning files

You can define actions that the Scanner is to carry out when a virus or unwanted program is detected.

Interactive

When this option is enabled, on detection of a virus or unwanted program during an on-demand scan, a dialog window appears in which you can select what is to be done with the affected file. This option is enabled as the default setting.

Further information is available here.

Automatic

If this option is enabled and a virus or unwanted program is detected, no dialogue appears in which an action can be selected. The Scanner reacts according to the settings made by you in this section.

Copy file to quarantine before action

If this option is enabled, the Scanner creates a back-up copy before carrying out the requested primary or secondary action. The back-up copy is saved in quarantine, where the file can be restored if it is of informative value. You can also send the back-up copy to the Avira Malware Research Center for further investigation.

Primary action

Primary action is the action carried out when the Scanner finds a virus or an unwanted program. If the option repair is selected but a repair of the file involved is not possible, the action selected under Secondary action is carried out.

Note
The option Secondary action can only be selected if the setting repair was selected under Primary action.

repair

If this option is enabled, the Scanner repairs affected files automatically. If the Scanner cannot repair an affected file, it carries out the action selected under Secondary action.

Note
An automatic repair is recommended, but means that the Scanner modifies files on the workstation.

delete

If this option is enabled, the file is deleted, but can be restored if necessary with relevant tools (e.g. Avira UnErase). This means that the virus pattern could be detected again.

rename

If this option is enabled, the Scanner renames the file. Direct access to these files (e.g. with double-click) is therefore no longer possible. Files can later be repaired and given their original names again.

ignore

If this option is enabled, access to the file is allowed and the file is left as it is.

Warning
The affected file remains active on your workstation! It may cause serious damage on your workstation!

quarantine

If this option is enabled, the Scanner moves the file to the quarantine. These files can later be repaired or - if necessary - sent to the Avira Malware Research Center.

Secondary action

The option Secondary action can only be selected if the setting Repair was selected under Primary action. With this option it can now be decided what is to be done with the affected file if it cannot be repaired.

delete

If this option is enabled, the file is deleted, but it can be restored if necessary with relevant tools (e.g. Avira UnErase). This means the virus pattern could be detected again.

rename

If this option is enabled, the Scanner renames the file. Direct access to these files (e.g. with double-click) is therefore no longer possible. Files can later be repaired and given their original names again.

ignore

If this option is enabled, access to the file is allowed and the file is left as it is.

Warning
The affected file remains active on your workstation! It may cause serious damage on your workstation!

Quarantine

If this option is enabled, the Scanner moves the file to the quarantine. These files can later be repaired or - if necessary - sent to the Avira Malware Research Center.


Configuration :: Scanner :: Scan :: Further actions

Configuration :: Scanner :: Scan

Further actions

Acoustic alert

Acoustic alert

If this option is enabled, Scanner plays a sequence of notes in the event of a detection. This option is activated by default.

Wave file

In this input box you can enter the name and the associated path of an audio file of your choice. If this box is empty, the default alert sound is played.

The button opens a window in which you can select the required file with the aid of the file explorer.

Test acoustic alert

This button is used to test the selected wave file.


Configuration :: Scanner :: Scan :: Archives

Configuration :: Scanner :: Scan

Archives

When scanning archives, the Scanner uses a recursive scan: Archives in archives are also unpacked and scanned for viruses and unwanted programs. The files are scanned, decompressed and scanned again.

Scan archives

If this option is enabled, the selected archives in the archive list are scanned. This option is enabled as the default setting.

All archive types

If this option is enabled, all archive types in the archive list are selected and scanned.

Smart extensions

If this option is enabled, the Scanner detects whether a file is a packed file format (archive), even if the file extension differs from the usual extensions, and scans the archive. However, for this every file must be opened - which reduces the scanning speed. For example, if a *.zip archive has the file extension *.xyz, the Scanner also unpacks this archive and scans it. This option is enabled as the default setting.

Note
Only those archive types are supported, which are marked in the archive list.

Limit recursion depth

Unpacking and scanning deeply interlaced archives can require a great deal of computer time and resources. If this option is enabled, you limit the depth of the scan in multi-packed archives to a certain number of packing levels (maximum recursion depth). This saves time and computer resources.

Note
In order to find a virus or an unwanted program in an archive, the Scanner must scan up to the recursion level in which the virus or the unwanted program is located.

Maximum recursion depth

In order to enter the maximum recursion depth, the option Limit recursion depth must be enabled.
You can either enter the requested recursion depth directly or by means of the right arrow key on the entry field. The permitted values are 1 to 99. The standard value is 20 which is recommended.

Default values

The button restores the pre-defined values for scanning archives.

Archive list

In this display area you can set which archives the Scanner should scan. For this, you must select the relevant entries.


Configuration :: Scanner :: Scan :: Exceptions

Configuration :: Scanner :: Scan

Exceptions

File objects to be omitted for the Scanner

The list in this window contains files and paths that should not be included by the Scanner in the scan for viruses or unwanted programs.

Please enter as few exceptions as possible here and really only files that, for whatever reason, should not be included in a normal scan. We recommend that you always scan these files for viruses or unwanted programs before they are included in this list!

Note
The entries on the list must not result more than 6000 characters in total.

Warning
These files are not included in a scan!

Note
The files included in this list are entered in the report file. Please check the report file from time to time for unscanned files, as perhaps the reason you excluded a file here no longer exists. In this case you should remove the name of this file from this list again.

Input box

In this input box you can enter the name of the file object that is not included in the on-demand scan. No file object is entered as the default setting.

The button opens a window in which you can select the required file or the required path.
When you have entered a file name with its complete path, only this file is not scanned for infection. If you have entered a file name without a path, all files with this name (irrespective of the path or drive) are not scanned.

Add

With this button, you can add the file object entered in the input box to the display window.

Delete

The button deletes a selected entry in the list. This button is not active if no entry is selected.

Note
If you add a complete partition to the list of the file objects, only those files which are saved directly under the partition will be excluded from the scan, which does not apply for files in sub-directories on the corresponding partition:
Example: File object to be skipped: D:\ = D:\file.txt will be excluded from the scan of the Scanner, D:\folder\file.txt will not be excluded from the scan.


Configuration :: Scanner :: Scan :: Heuristic

Configuration :: Scanner :: Scan

Heuristic

This configuration section contains the settings for the heuristic of the Avira AntiVir Personal search engine.

Avira AntiVir Personal contains very powerful heuristic, which can also detect unknown (new) viruses, worms or Trojans. This is done with a comprehensive analysis and examination of the relevant codes for functions that are typical of viruses, worms or Trojans. If the code examined fulfils these characteristic criteria, it is reported as being suspect. However, this does not necessarily mean that the code is in actual fact a virus, a worm or a Trojan; it may also be a false alert. The user has to decide what to do with the relevant code, for example based on his/her knowledge of whether the source containing the suspect code is reliable.

Macrovirus heuristic

Macrovirus heuristic

Avira AntiVir Personal contains a very powerful macrovirus heuristic. If this option is enabled, all macros are deleted in the event of a repair, alternatively suspect documents are only reported, i.e. you receive an alert. This option is enabled as the default setting and is recommended.

Win32 file heuristic

Avira AntiVir Personal contains a very powerful heuristic for Windows file viruses, worms and Trojans, which can also detect unknown viruses, worms and Trojans. If this option is enabled, here you can set how "aggressive" this heuristic should be. This option is enabled as the default setting.

Low detection level

If this option is enabled, Avira AntiVir Personal detects fewer viruses, worms or Trojans, the risk of false alerts is low in this case.

Medium detection level

This option is enabled as the default setting if you have selected application of this heuristic.

High detection level

If this option is enabled, Avira AntiVir Personal detects a large number of unknown viruses, worms or Trojans, but you must also expect false positives.


Configuration :: Scanner :: Report

Configuration :: Scanner

Report

The Scanner has a comprehensive reporting function. You thus obtain precise information on the results of an on-demand scan. The report file contains all entries of the system as well as alerts and messages of the on-demand scan.

Note
So that you can establish what actions the Scanner has carried out when viruses or unwanted programs have been detected, a report file should always be created.

Reporting

Off

If this option is enabled, the Scanner does not report the actions and results of the on-demand scan.

Default

When this option is activated, the Scanner logs the names of the files concerned with their path. In addition, the configuration for the current scan, version information and information on the licensee is written in the report file.

Extended

When this option is activated, the Scanner logs alerts and tips in addition to the default information.

Complete

When this option is activated, the Scanner also logs all scanned files. In addition, all files involved as well as alerts and tips are included in the report file.

Note
If you have to send us a report file at any time (for troubleshooting), please create this report file in this mode.


Configuration :: Guard

The Guard section of the Avira AntiVir Personal Configuration is responsible for the configuration of the on-access scan.


Configuration :: Guard :: Scan

Configuration :: Guard

Scan

You will normally want to monitor your system constantly. To this end, use the Guard (= on-access scanner). You can thus scan all files that are copied or opened on the computer "on the fly", for viruses and unwanted programs.

Scan mode

Here the time for scanning of a file is defined.

Scan when reading

If this option is enabled, the Guard scans the files before they are read or executed by the application or the operating system.

Scan when writing

If this option is enabled, the Guard scans a file when writing. You can only access the file again after this process has been completed.

Scan when reading and writing

If this option is enabled, the Guard scans files before opening, reading and executing and after writing. This option is enabled as the default setting and is recommended.

Files

The Guard can use a filter to scan only files with a certain extension (type).

All files

If this option is enabled, all files, irrespective of their content and their file extension, are scanned for viruses or unwanted programs, i.e. the filter is not used.

Note
If All files is enabled, the button File extensions cannot be selected.

Smart Extensions

If this option is enabled, the selection of the files scanned for viruses or unwanted programs is automatically chosen by Avira AntiVir Personal. This means that Avira AntiVir Personal decides whether the files are scanned or not based on their content. This procedure is somewhat slower than Use file extension list, but more secure, since not only on the basis of the file extension is scanned.

Note
If Smart Extensions is enabled, the button File extensions cannot be selected.

Use file extension list

If this option is enabled, only files with a pre-defined extension are scanned. All file types that may contain viruses and unwanted programs are pre-defined. The list can be edited manually via the button File extension. This option is enabled as the default setting and is recommended.

Note
If this option is enabled and you have deleted all entries from the list with file extensions, this is indicated with the text "No file extensions" under the button File extensions.

File extensions

With the aid of this button, a dialog window is opened in which all file extensions are displayed that are scanned in the Use file extension list mode. Default entries are set for the extensions, but entries can be added or deleted.

Note
Please note that the file extension list may vary from version to version.

Archives

Scan archive

If this option is enabled, then archives will be scanned. Compressed files are scanned, then decompressed and scanned again. This option is deactivated by default. Additional settings are available for restricting the scanning of archives and for setting the recursion depth of the scanning. This is recommended if you activate the archive scan.

Note
This option is deactivated by default, since the process puts heavy demands on the computer's performance. It is generally recommended that archives be checked using an on-demand scan.

Maximum depth of recursion

When scanning the archives, Guard can use a recursive scan. This unpacks archives that packed inside other archives and checks them for viruses and unwanted programs. You can define the recursion depth. Active this option to do so. Permitted values are 1 to 20. The default value for the recursion depth is 1 and is recommended: all archives that are directly located in the main archive are unpacked and scanned.

Maximum number of files

If this option is enabled, you can restrict the scan to a maximum number of files in the archive. Permissible values are between 1 and 99. The default value of 10 files to be scanned is recommended.

Maximum size (KB)

If this option is enabled you can restrict the scanner to unpacking only archives below a defined maximum size. Permissible values are between 1 and 9999 KB. The standard value of 1000 KB is recommended.


Configuration::Guard::Scan

Configuration :: Guard :: Scan

Action for concerning files

Notifications

Use event log

If this option is enabled, each detection is entered in the event log. The administrator can identify detections and react accordingly. This option is enabled as the default setting.

Acoustic alert

If this option is enabled, Guard plays a sequence of notes whenever a problem is detected. This option is enabled as the default setting.


Configuration :: Guard :: Scan :: Exceptions

Configuration :: Guard :: Scan

Exceptions

With these options you can configure exception objects for the Guard (on-access scan). The relevant objects are then not included in the on-access scan. The Guard can ignore file accesses to these objects during the on-access scan via the list of processes to be omitted. This is useful, for example, with databases or back-up solutions.

Processes to be omitted for the Guard

All file accesses of processes in this list are excluded from monitoring by the Guard.

Input box

In this box you can enter the name of the process that is not included in the on-access scan. No process is entered as the default setting. The names of the individual process can most easily be obtained via the task manager. You can find the names of all currently active processes under the index card "Processes" of the task manager. Select "your" process and enter its name (found under "Image Name").

Note
You can enter up to 20 processes.

Warning:
Only the first 15 characters of the process name (including the file extension) are considered. If there are 2 processes with the same name, Guard excludes both processes from the monitoring.

Warning
Please note that all file accesses by processes recorded in the list are excluded from the scan for viruses and unwanted programs! The Windows Explorer and the operating system itself cannot be excluded. A corresponding entry in the list is ignored.

Add

With this button, you can add the process entered in the input box to the display window.

Delete

With this button you can delete a selected process from the display window.

File objects to be omitted for the Guard

All file accesses to objects in this list are excluded from monitoring by the Guard.

Note
The entries on the list must not contain more than 6000 characters in total.

Input box

In this box you can enter the name of the file object that is not included in the on-access scan. No file object is entered as the default setting.

The button opens a window in which you can select the file object to be excluded.

Add

With this button, you can add the file object entered in the input box to the display window.

Delete

With this button you can delete a selected file object from the display window.

Please observe the following points:

  • The file name can only contain the wildcards * (any number of characters) and ?nbsp;(a single character).

  • Directory names must end with a backslash \, otherwise a file name is assumed.

  • The list is processed from top to bottom.

  • Individual file extensions can also be excluded (inclusive wildcards).

  • If a directory is excluded, all its sub-directories are automatically also excluded.

  • The longer the list is, the more processor time is required for processing the list for each access. Therefore, keep the list as short as possible.

  • In order to also exclude objects when they are accessed with short DOS file names (DOS name convention 8.3), the relevant short file name must also be entered in the list.

Note
A file name that contains wildcards may not be terminated with a backslash.

For example:

C:\Program Files\Application\applic*.exe\

This entry is not valid and not treated as an exception!

Note
In case of dynamic drives which are mounted as a directory on another drive, the alias of the operating system for the integrated drive in the list of the exceptions has to be used: e.g. \Device\HarddiskDmVolumes\PhysicalDmVolumes\BlockVolume1\
If you use the mount point itself, such as ‚C:\DynDrive’, the dynamic drive will be scanned nonetheless. You can determine the alias of the operating system to be used from the report file of Guard: Set the protocol function of the Guard to complete in the configuration under Guard :: Report. Now access the mounted drive with the activated Guard. You can now read the drive name used from the report file of the Guard. The report file can be accessed in Control Center under Local protectionz :: Guard

Examples:

C:

C:\

C:\*.*

C:\*

*.exe

*.xl?

*.*

C:\Program Files\Application\application.exe

C:\Program Files\Application\applic*.exe

C:\Program Files\Application\applic*

C:\Program Files\Application\applic?????.e*

C:\Program Files\

C:\Program Files

C:\Program Files\Application\*.mdb


Configuration :: Guard :: Scan :: Heuristic

Configuration :: Guard :: Scan

Heuristic

This configuration section contains the settings for the heuristic of the Avira AntiVir Personal search engine.

Avira AntiVir Personal contains very powerful heuristic, which can also detect unknown (new) viruses, worms or Trojans. This is done with a comprehensive analysis and examination of the relevant codes for functions that are typical of viruses, worms or Trojans. If the code examined fulfils these characteristic criteria, it is reported as being suspect. However, this does not necessarily mean that the code is in actual fact a virus, a worm or a Trojan; it may also be a false positive. The user has to decide what to do with the relevant code, for example based on his/her knowledge of whether the source containing the suspect code is reliable.

Macrovirus heuristic

Macrovirus heuristic

Avira AntiVir Personal contains a very powerful macrovirus heuristic. If this option is enabled, all macros are deleted in the event of a repair, alternatively suspect documents are only reported, i.e. you receive an alert. This option is enabled as the default setting and is recommended.

Win32 file heuristic

Avira AntiVir Personal contains a very powerful heuristic for Windows file viruses, worms and Trojans, which can also detect unknown viruses, worms and Trojans. If this option is enabled, here you can set how "aggressive" this heuristic should be. This option is enabled as the default setting.

Low detection level

If this option is enabled, Avira AntiVir Personal detects fewer viruses, worms or Trojans, the risk of false alerts is low in this case.

Medium detection level

This option is enabled as the default setting if you have selected application of this heuristic.

High detection level

If this option is enabled, Avira AntiVir Personal detects a large number of unknown viruses, worms or Trojans, but you must also expect false positives.


Configuration :: Guard :: Report

Configuration :: Guard

Report

The Guard has a comprehensive reporting function that can provide the user or the administrator with precise information on the type of malware detected.

Reporting

The scope of content of the report file is defined in this group.

Off

If this option is enabled, the Guard does not create a report.
Only refrain from enabling reporting in exceptional cases, for example if you carry out test runs with many viruses or unwanted programs.

Default

If this option is enabled, the Guard adds important information (on the found, alerts and errors) to the report file, less important information is ignored in order to provide a clear overview. This option is enabled as the default setting.

Extended

If this option is enabled, the Guard also includes less important information in the report file.

Complete

If this option is enabled, the Guard includes all information - also that on file size, file type, date etc. - in the report file.

Limit report file

Limit size to n MB

If this option is enabled, the report file can be limited to a certain size; possible values: 1 to 100 MB. This option is enabled as the default setting, with a value of 1 MB. A tolerance of approximately 50 kilobytes is included in order to minimize load of the computer. If the size of the report file exceeds the pre-defined size by 50 kilobytes, old entries are automatically deleted until the pre-defined size -50 kilobytes has been reached.

Backup report file before shortening

If this option is enabled, the report file is backed up before being shortened in the report directory.

Write configuration in report file

If this option is enabled, the configuration of the on-access scan used is written in the report file.


Configuration :: General :: Email

Configuration :: General

Email

Avira AntiVir Personal can send messages via email. This is done with the Simple Message Transfer Protocol (SMTP).

The messages can be triggered by various events. Transmission of emails is supported by the following modules:

  • Examination enquiries of suspicious files to the Avira Malware Research Center

Note
Please note that ESMTP is not supported. In addition, an encrypted transfer via TLS (Transport Layer Security) or SSL (Secure Sockets Layer) is currently not possible.

Email messages

SMTP server

Enter the name of the host to be used here - either its IP address or the direct host name.
The maximum possible length of the host name is 127 characters.

For example:

192.168.1.100 or mail.musterfirma.de.

Sender address

In this input box, enter the email address of the sender. The maximum length of the sender's address is 127 characters.

Authentication

Some mail servers expect a program to verify itself to the server (log in) before an email is sent. Avira AntiVir Personal can transmit alerts with authentication to the SMTP server via email.

Use authentication

If this option is enabled, a user name and a password can be entered in the relevant boxes for login (authentication).

  • User name: Enter your user name here.

  • Password: Enter the relevant password here. The password is saved in encrypted form. For security, the actual characters you type in this space are replaced by asterisks (*).

Send test email

When you click on the button, Avira AntiVir Personal attempts to send a test email to the sender address to check the data entered.


Configuration :: General :: Extended threat categories

Configuration :: General

Extended threat categories

Selection of extended threat categories

Avira AntiVir Personal protects you against computer viruses.

In addition, you can scan according to the following extended threat categories.

  • Backdoor control software (BDC)

  • Dialer

  • Games (GAMES)

  • Joke programs (JOKES)

  • Security Privacy Risk (SPR)

  • Unusual runtime packers (PCK)

  • Files with hidden file endings (HEUR-DBLEXT)

  • Phishing

  • Application (APPL)

By clicking on the relevant box, the selected type is enabled (check mark set) or disabled (no check mark).

Enable all

If this option is enabled, all types are enabled.

Default values

This button restores the predefined default values.

Note
If a type is disabled, files recognized as being of the relevant program type are no longer indicated. No entry is made in the report file.


Configuration :: General :: Security

Configuration :: General

Security

Update

Alert if last update older than n day(s)

In this box you can enter the maximum number of days allowed to have passed since the last update of Avira AntiVir Personal. If this number is exceeded, a warning is displayed in the Scheduler.

Show notice if the signature database with detection patterns is out of date

If this option is enabled, you will obtain an alert message if the virus definition file is not up-to date. With the help of the alert option, you can configure the temporal interval for an alert message if the last update is older than n day(s).

Protect configuration file against unwanted modifications

Protect configuration

If this option is enabled, the Avira AntiVir Personal Configuration can only be saved with administrator rights.

Warning
This option is only effective if Avira AntiVir Personal is installed on an NTFS partition.

Protect job files

When this option is enabled, only a user with administrator rights can change existing scanning and update jobs and protect jobs he has created.

Protect processes

Prevent AntiVir processes from being terminated

If this option is enabled, the AntiVir processes are protected against unwanted termination by viruses and malware or against 'uncontrolled' termination by a user e.g. via Task-Manager. This option is enabled by default.

Important
Protection is not yet available for 64-bit systems!


Configuration :: General :: Directories

Configuration :: General

Directories

Temporary path

In this input box you enter the temporary path with which Avira AntiVir Personal works.

Use default system settings

If this option is enabled, the settings of the system are used for handling temporary files.

Note
You can see where your system saves temporary files - for example with Windows XP - under: Start | Settings | Control Panel | System | Index card "Advanced" | Button "Environment Variables". The temporary variables (TEMP, TMP) for the currently registered user and for system variables (TEMP, TMP) are shown here with their relevant values.

Use following directory

If this option is enabled, the path displayed in the input box is used.

The button opens a window in which you can select the required temporary path.

Default

The button restores the pre-defined directory for the temporary path.


Configuration :: General :: Update

Configuration :: General

Update

The section Update of the Avira AntiVir Personal Configuration is responsible for the configuration of the Updater .

Product updates

Download and automatically install product updates

If this option is enabled, product updates are downloaded and automatically installed by AntiVir Updater as soon as updates become available.. Updates to the virus definition file and search engine always function independently of this setting. The conditions for this option are: complete configuration of the update and an open connection to a download server.

Notification when new product updates are available

If this option is enabled, you will be notified by email when new product updates become available. Updates to the virus definition file and search engine are carried out independently of this setting. The conditions for this option are: complete configuration of the update and an open connection to a download server. You will receive notifications via a desktop popup window and via a warning message from AntiVir Updater in the Control Center under Manager ::Scheduler.

Do not download product updates

If this option is enabled, no automatic product updates or notifications of available product updates by AntiVir Updater are carried out. Updates of the virus definition file and the search engine are always carried out independently of this setting.

Important
An update of the virus definition file and of the search engine is carried out during every update process independent of the settings for the product update (see Updates).


Configuration :: General :: Update :: Web server

Configuration :: General :: Update

Web server

The update can be performed directly via a web server on the Internet.

Web server connection

Use existing connection (network)

This setting is displayed if your connection is used via a network.

Use the following connection:

This setting is displayed if you define your connection individually.

The Avira AntiVir Personal Updater automatically detects which connection options are available. Connection options which are not available are grayed out and cannot be activated. A dial-up connection can be established manually via a phone book entry in Windows, for example.

  • User: Enter the user name of the selected account.

  • Password: Enter the password for this account. For security, the actual characters you type in this space are replaced by asterisks (*).

Note
If you have forgotten an existing Internet account name or password, contact your Internet Service Provider.

Note
The automatic dial-up of the updater through so called dial-up tools (e.g. SmartSurfer, Oleco, ...) is currently not available in Avira AntiVir Personal.

Terminate a dial-up connection that was set up for the update

If this option is enabled, the RDT connection made for the update is automatically interrupted again as soon as the download has been successfully carried out.


Configuration :: General :: Update :: Web server :: Proxy

Configuration :: General :: Update :: Web server

Proxy

Proxy server

Do not use a proxy server

If this option is enabled, your connection to the web server is not carried out via a proxy server.

Use Windows system settings

When the option is enabled, the current Windows system settings are used for the connection to the web server via a proxy server.

Use the following proxy server

If your web server connection is set up via a proxy server, you can enter the relevant information here.

Address

Please enter the URL or the IP address of the proxy server you should use to connect to the web server.

Port

Please enter the port number of the proxy server you should use to connect to the web server.

Login name

Enter your login name on the proxy server here.

Login password

Enter the relevant password for logging in on the proxy server here. For security, the actual characters you type in this space are replaced by asterisks (*).

Examples:

Address:

proyx.domain.com

Port:

8080

Address:

192.168.1.100

Port:

3128


Configuration :: General :: Events

Configuration :: General

Events

Limit size of event database

Limit maximum number of events to n entries

If this option is enabled, the maximum number of events listed in the event database can be limited to a certain size; possible values: 100 to 10 000 entries. If the number of entered entries is exceeded, the oldest entries are deleted.

Delete events older than n day(s)

If this option is enabled, events listed in the event database are deleted after a certain period of time; possible values: 1 to 90 days. This option is enabled as the default setting, with a value of 30 days.

Do not limit size of event database (delete events manually)

When this option has been activated, the size of the event database is not limited. However, in Control Center under Events a maximum of 20,000 entries are displayed.


Configuration :: Generation :: Reports

Configuration :: General

Limit reports

Limit number of reports

Limit the number to n units

When this option is enabled, the maximum number of reports can be limited to a specific amount. Values between 1 and 300 are permissible. If the specified number is exceeded, then the oldest report at that time is deleted.

Delete all reports more than n day(s) old

If this option is enabled, reports are automatically deleted after a specific number of days. Permissible values are between 1 and 90 days. This option is enabled by default with a value of 30 days.

Do not limit number of reports (manually delete reports)

If this option is enabled, the number of reports is not restricted.


Tray Icon :: Overview

The tray icon in the system tray of the taskbar displays the status of the Guard service.

Icon

Description

AntiVir Guard is enabled

AntiVir Guard is disabled

Entries in the context menu

  • Activate AntiVir Guard: enables or disables the AntiVir PersonalEdition Classic Guard.

  • Start AntiVir: opens the Avira AntiVir Personal Control Center.

  • Configure AntiVir: Opens the Avira AntiVir Personal Configuration.

  • Start update: starts an update.

  • Help: opens this online help.

  • Avira on the Internet: Opens the web portal of AntiVir Personal on the internet. The condition for this is that you have an active connection to the Internet.


Updates

The effectiveness of anti-virus software depends on how up-to-date the program is, in particular the virus definition file and the search engine. To carry out updates, the component AntiVir Updater in integrated into AntiVir Personal. AntiVir Updater ensures that Avira AntiVir Personal is always up-to-date and able to deal with the new viruses that appear every day. AntiVir Updater updates the following components:

  • Virus definition file:

The virus definition file contains the virus patterns of the harmful programs used by AntiVir Personal to scan for viruses and malware and repair infected objects.

  • Search engine:

The search engine contains the methods used by AntiVir Personal to scan for viruses and malware.

  • Program files (product update):

Update packages for product updates make extra functions available to the individual program components.

An update checks whether the virus definition file and search engine are up-to-date and if necessary implements an update. Depending on the settings in the configuration, AntiVir Updater also carries out a product update or informs you of the product updates available. After an update AntiVir Personal does not have to be restarted.

Note
For security reasons, the Avira AntiVir Personal Updater checks whether the Windows host file of your computer was altered to the effect that, for example, the Avira AntiVir Personal update URL was manipulated by malware and diverts the Avira AntiVir Personal Updater to unwanted download sites. If the Windows host file has been manipulated, this is shown in the Avira AntiVir Personal Updater report file.

In the Control Center under Scheduler, you can organize update jobs which are carried out by AntiVir Updater at the intervals stipulated. An update job is created by default after installation of AntiVir Personal. You also have the option to start an update manually:

  • in Control Center: in the Update menu and in the Status section

  • via the context menu of the tray icon

Updates can be obtained from the internet via a Web server of the manufacturer. The existing network connection is the default connection to the download servers of Avira GmbH. You can change this default setting in Avira AntiVir Personal Configuration under General:: Update.


Updater :: Overview

Updates :: Updater

The Avira AntiVir Personal Updater window opens at the start of an update.

Avira AntiVir Personal Updater

Note
For update jobs created in Scheduler, you can define the display mode for the update window: You can select Hide, Minimize or Maximize.

Note
If you are using a program in fullscreen mode (e.g. games) and the updater's display mode is set to maximized or minimized, the updater will switch to the desktop. To prevent this, start the updater with the display mode set to hide. In this mode you will no longer be notified about updates by the update window.

Status

Shows the proceeding of the updater.

Current file

Name of the file which is being downloaded at the moment.

Time elapsed

Time which has elapsed since starting the download.

Estimated time remaining

Time until download is finished.

Download speed

Speed of download.

Downloaded bytes

Bytes already downloaded.

Remaining bytes

Bytes left to download.

Buttons and links

Button / link

Description

This page of the online help is opened via this button or link.

Reduce

The display window of the updater will appear in a reduced size.

Enlarge

The display window of the updater will be re-established to its original size.

Abort

The update procedure will be canceled. The updater will be closed.

Close

The update procedure is completed. The display window will be closed.

Report

The report file of the update is displayed.


FAQ, Tips :: Overview

This section provides a collection of frequently asked questions (FAQs) relating to Avira AntiVir Personal, a troubleshooting section and tips and tricks for using Avira AntiVir Personal.

  • Frequently asked questions (FAQs)

  • Troubleshooting

  • Keyboard commands

  • Windows XP Security Centre


FAQ, Tips :: Frequently Asked Questions (FAQ)

FAQ, Tips :: Frequently asked questions (FAQs)

Here are the answers to frequently asked questions.

  • Where can I get Avira AntiVir Personal?

  • Do I get a CD of Avira AntiVir Personal?

  • Where can I find detailed version information?

  • Which settings should I make for Avira AntiVir Personal?

  • How can I check whether Avira AntiVir Personal is up-to-date?

  • What is an incremental VDF update (IVDF)?

  • What is the difference between on-access scanning and direct scanning?

  • Are there any problems with using several virus protection programs at the same time?

  • I want to test my virus protection program to see if it really works. Are there test viruses which will not harm my computer?

  • Is a manual scan necessary from time to time?

Where can I get Avira AntiVir Personal?

Download the program from the website http://www.free-av.com.

Will I receive a CD of Avira AntiVir Personal?

The program is only available by download from our website http://www.free-av.com .

Where can I find detailed version information?

Detailed version information is found in the menu item Help :: About AntiVir Personal... :: Version information of the Control Center.

Which settings should I make for Avira AntiVir Personal?

Avira AntiVir Personal is pre-configured with practical settings after installation. You can adapt these settings, depending on the desired level of security (e.g. heuristic detection or expanding the scan to all file and archive types).

How can I check whether Avira AntiVir Personal is up-to-date?

Avira AntiVir Personal is up-to-date when you have the most current virus definition file. This file is usually updated several times a day.

To check whether you have the up-to-date virus definition file:

  • Performs an update.

    - OR -

  • Visit the website http://www.free-av.com and read through the following information:

  • Current VDF version number

  • Date and time of publication of the current VDF

  • In the Control Center, select the section Overview :: Status.

  • Compare this information with the information on the website.

    If the information is identical: The Avira AntiVir Personal is up-to-date.
    If the information is not identical: The Avira AntiVir Personal is not up-to-date. Carry out an update.

What is an incremental VDF update (IVDF)?

The Avira AntiVir Personal supports the so-called "incremental update" of the virus definition file. Incremental VDF updates (IVDF update) work as follows: daily updates of the VDF file are not downloaded in the form of one large VDF file but as small VDF files (name: antivir3.vdf) that are only a few kilobytes in size and which only contain virus patterns that have been newly added.

This daily VDF file supplements the weekly VDF (Name: antivir2.vdf), the monthly VDF (Name: antivir1.vdf) and the so-called Basic VDF (Name: antivir0.vdf), which are already installed with every Avira AntiVir Personal program package as standard.

If one of the so-called VDF files reaches a determined size its content is transferred to the next higher VDF file, which has to be downloaded additionally.

An advantage of the incremental VDF process is that the download volume is extremely small. This leads to extremely short download times and costs, also if the download is performed via an Internet modem connection.

What is the difference between on-access scan and on-demand scan?

The on-access scan is carried out automatically by AntiVir Guard. The files on the computer currently being accessed are scanned for viruses and malware (on-access scan).

The on-demand scan is started manually. Specific drives can be systematically scanned for viruses and malware (on-demand scanning).

Are there any problems with using several virus protection programs at the same time?

When using different virus protection programs with the reasoning the more the better, the following rules must be followed:

  • Use only one on-access scanner (also called Guard).

  • Before installing a second software package, decide which on-access scanner you want to trust. If you decide on a new on-access scanner, deactivate the on-access scanner currently in use. Serious errors can occur otherwise.

The parallel installation of scanners with which scans are started manually is usually possible. Under certain circumstances, error messages can arise if an anti-virus program uses unencrypted search strings for detection or has repaired a file only partially.

I want to test my virus protection program to see if it really works. Are there test viruses which will not harm my computer?

The European Institute for Computer Anti-Virus Research (eicar) provides files with test viruses on their website http://www.eicar.org/anti_virus_test_file.htm. These are not real viruses, but only so-called virus patterns. These files cannot cause damage to your computer.

This is how Avira AntiVir Personal should react to the eicar test virus if a default installation with the preset file types was carried out:

  • eicar.com

The bare test virus is detected immediately by AntiVir Guard (if activated). Of course, it is also detected via a direct scan (Right-click the test virus. A pop-up menu opens. Select Scan selected files with AntiVir). Depending on the settings in the options, a warning message enquiring about proceeding further is displayed.

  • eicar.com.txt

Beforehand: To see doubled file extensions, you must activate this in Windows Explorer. This version is not rejected by AntiVir Guard at first, since *.txt files do not contain executable program code and are therefore safe. If the file is renamed eicar.com, AntiVir Guard will react to the file as described above.

The test virus is detected by the direct scan. Processing (see above) is offered.

  • eicar_com.zip

Here is the test virus packed in a Zip archive. Since a Zip archive is not dangerous in and of itself, AntiVir Guard does not react. It first takes action when the archive is unpacked.

The test virus is found in the archive by the direct scan. A message window appears, and informs you that a virus or malware has been found, but cannot be processed in the Zip archive because otherwise the integrity of the archive would be endangered.

  • eicarcom2.zip

Here is the test virus packed in a Zip archive which is itself packed in a Zip archive. These are difficult conditions for a virus scanner. The reactions of AntiVir Guard and the direct scan correspond to those of eicar_com.zip.

With the direct scan, the test virus is detected and the message window (see above) appears. AntiVir Guard first reacts with the second, last unpacking, when the eicar.com file is present.

Is a manual scan necessary from time to time?

AntiVir Guard monitors your system constantly (on-access scan). To ensure that you are always protected, check whether AntiVir Guard is active. In addition, we recommend performing a manual scan (direct scan) regularly for better security.


FAQ, Tips :: Help in case of a problem

FAQs, Tips :: Troubleshooting

Here you will find information on causes and solutions of possible problems.

  • The error message Connection failed while downloading the file ... appears when attempting to start an update.

  • Viruses and malware cannot be moved or deleted.

  • The status of the tray icon is disabled.

  • The computer is extremely slow when I perform a data back-up.

  • My firewall reports AntiVir Guard immediately after activation.

The error message Connection failed while downloading the file ... appears when attempting to start an update.

Cause: Your Internet connection is inactive. This is why Avira AntiVir Personal cannot find the web server on the Internet.

  • Test whether other Internet services such as WWW or email work. If not, reestablish the Internet connection.

Cause: The proxy server cannot be reached.

  • Check whether the login for the proxy server has changed and adapt it to your configuration if necessary.

Cause: The update.exe file is not fully approved by your personal firewall.

  • Ensure that the update.exe file is fully approved by your personal firewall.

Otherwise:

  • Check your settings in the Avira AntiVir Personal Configuration (Expert mode) under General :: Update.

Viruses and malware cannot be moved or deleted.

Cause: The file was loaded by windows and is active.

  • Update Avira AntiVir Personal.

  • If you use the operating system Windows XP, deactivate System Restore.

  • Start the computer in Safe Mode.

  • Start Avira AntiVir Personal and the Avira AntiVir Personal Configuration (Expert mode).

  • Select Scanner :: Scan :: Files :: All files and confirm the window with OK.

  • Start a scan of all local drives.

  • Start the computer in Normal Mode.

  • Carry out a scan in Normal Mode.

  • If no other viruses or malware have been found, activate System Restore if it is available and to be used.

The Tray Icon shows an inactive state.

Cause: AntiVir Guard is deactivated.

  • In Control Center, click on the section Overview :: Status, find the field AntiVir Guard and click on the Enable link.

Cause: AntiVir Guard is being blocked by a firewall.

  • Define a general approval for AntiVir Guard in the configuration of your firewall. AntiVir Guard only works with the address 127.0.0.1 (localhost). An Internet connection is not established.

Otherwise:

  • Check the startup type of the AntiVir Guard service. If necessary, enable the service: In the taskbar, select "Start | Settings | Control Panel". Start the configuration panel "Services" with a double-click (under Windows 2000 and Windows XP the services applet is located in the sub-directory "Administrative Tools"). Find the entry "AntiVir PersonalEdition Classic Guard". "Automatic" must be entered as the startup type and "Started" as the service status. If necessary, start the service manually by selecting the relevant line and the button "Start". If an error message appears, please check the event display.

The computer is extremely slow when I perform a data back-up.

Cause: During the back-up procedure, AntiVir Guard scans all files being used by the back-up procedure.

  • Select Guard :: Scan :: Exceptions in the Avira AntiVir Personal Configuration (Expert mode) and enter the process names of the back-up software.

My firewall reports AntiVir Guard immediately after activation.

Cause: Communication with AntiVir Guard occurs via the TCP/IP Internet protocol. A firewall monitors all connections via this protocol.

  • Define a general approval for AntiVir Guard. AntiVir Guard only works with the address 127.0.0.1 (localhost). An Internet connection is not established.

Note
We recommend regularly installing Microsoft updates to close any gaps in security.


FAQ, Tips :: Shortcuts

FAQs, Tips :: Shortcuts

Keyboard commands - also called shortcuts - offer a fast possibility to navigate, to retrieve individual modules and to start actions through Avira AntiVir Personal.

Below we provide you with an overview of the available keyboard commands in Avira AntiVir Personal. Please find further indications regarding the functionality in the corresponding chapter of the help.

In dialog boxes

Shortcut

Description

Ctrl + Tab

Ctrl + Page down

Go to next section.

Ctrl + Shift + Tab

Ctrl + Page up

Go to previous section.

Tab

Change to the next option or options group.

Shift + Tab

Change to the previous option or options group.

← ↑ → ↓

Change between the options in a marked drop-down list or between several options in a group of options.

Space

Activate or deactivate a check box, if the active option is a check box.

Alt + underlined letter

Select option or start command.

Alt + ↓

F4

Open selected drop-down list.

Esc

Close selected drop-down list.
Cancel command and close dialog.

Enter

Start command for the active option or button.

In the help

Shortcut

Description

Alt + Space

Display system menu.

Alt + Tab

Shift between the help and the other opened windows.

Alt + F4

Close help.

Shitf + F10

Display context menu of the help.

Ctrl + Tab

Go to next section in the navigation window.

Ctrl + Shift + Tab

Go to previous section in the navigation window.

Page up

Change to the subject, which is displayed above in the contents, in the index or in the list of the search results.

Page down

Change to the subject, which is displayed below the current subject in the contents, in the index or in the list of the search results.

F6

Shift between the navigation and the subject window.

Page up
Page down

Browse through a subject.

In the Control Center

General

Shortcut

Description

F1

Display help

Alt + F4

Close Control Center

F5

Refresh

F8

Open configuration

F9

Start update

Scanner section

Shortcut

Description

F3

Start scan with the selected profile

F4

Create desktop link for the selected profile

Quarantine section

Shortcut

Description

F2

Rescan object

F3

Restore object

F4

Send object

F6

Restore object to...

Enter

Properties

Ins

Add file

Del

Delete object

Scheduler section

Shortcut

Description

F2

Edit job

Enter

Properties

Ins

Insert new job

Del

Delete job

Reports section

Shortcut

Description

F3

Display report file

F4

Print report file

Return

Display report

Del

Delete report(s)

section

Shortcut

Description

F3

Export event(s)

Return

Display event

Del

Delete event(s)


FAQ, Tips :: Windows Security Center

FAQs, Tips :: Windows Security Centre

- Windows XP Service Pack 2 or higher -

General

The Windows Security Center checks the status of a computer for important security aspects.

If a problem is detected with one of these important points (e.g. an outdated anti-virus program), the Security Center issues an alert and gives recommendations on how to protect your computer better.

The Windows Security Center and Avira AntiVir Personal

Virus protection software / Protection against malicious software

You may receive the following information from the Windows Security Center with regard to your virus protection.

  • Virus protection NOT FOUND

  • Virus protection OUT OF DATE

  • Virus protection ON

  • Virus protection OFF

  • Virus protection NOT MONITORED

Virus protection NOT FOUND

This information of the Windows Security Center appears when the Windows Security Center has not found any anti-virus software on your computer.

Note
Install Avira AntiVir Personal on your computer to protect it against viruses and other unwanted programs!

Virus protection OUT OF DATE

If you have already installed Windows XP Service Pack 2 or Windows Vista and then install Avira AntiVir Personal or you install Windows XP Service Pack 2 or Windows Vista on a system on which Avira AntiVir Personal has already been installed, you receive the following message:

Note
In order for the Windows Security Center to recognize Avira AntiVir Personal as up to date, an update must be carried out after installation. Update your system by carrying out an Avira AntiVir Personal update.

Virus protection ON

After installation of Avira AntiVir Personal and a subsequent update, you receive the following message:

Avira AntiVir Personal is now up to date and the AntiVir Guard is enabled.

Virus protection OFF

You receive the following message if you disable the AntiVir Guard or stop the Guard service.

Note
You can enable or disable AntiVir Guard in the section Overview :: Status of Avira AntiVir Personal Control Center. You can also see that the AntiVir Guard is enabled if the red umbrella in your taskbar is open.

Virus protection NOT MONITORED

If you receive the following message from the Windows Security Center, you have decided that you want to monitor your anti-virus software yourself.

Note
The Windows Security Center is supported by Avira AntiVir Personal. You can enable this option at any time via the button "Recommendations...".

Note
Even if you have installed Windows XP Service Pack 2 or Windows Vista, you still require a virus protection solution, e.g. Avira AntiVir Personal. Although Windows XP Service Pack 2 monitors your anti-virus software, it does not contain any anti-virus functions itself. Therefore you would not be protected against viruses and other malware without an additional anti-virus solution!


Viruses and more :: Extended threat categories

  • Dialer (DIALER)

  • Games (GAMES)

  • Jokes (JOKES)

  • Security Privacy Risk (SPR)

  • Backdoor Clients (BDC)

  • Unusual runtime packers (PCK)

  • Double Extension Files (HEUR-DBLEXT)

  • Phishing

  • Application (APPL)

Dialer (DIALERS)

Certain services available in the internet have to be paid for. They are invoiced in Germany via dialers with 0190/0900 numbers (or via 09x0 numbers in Austria and Switzerland; in Germany, the number is set to change to 09x0 in the medium term). Once installed on the computer, these programs guarantee a connection via a suitable premium rate number whose scale of charges can vary widely.

The marketing of online content via your telephone bill is legal and can be of advantage to the user. Genuine dialers leave no room for doubt that they are used deliberately and intentionally by the user. They are only installed on the user’s computer subject to the user’s consent, which must be given via a completely unambiguous and clearly visible labeling or request. The dial-up process of genuine dialers is clearly displayed. Moreover, genuine dialers tell you the incurred costs exactly and unmistakably.

Unfortunately there are also dialers which install themselves on computers unnoticed, by dubious means or even with deceptive intent. For example they replace the internet user’s default data communication link to the ISP (Internet Service Provider) and dial a cost-incurring and often horrendously expensive 0190/0900 number every time a connection is made. The affected user will probably not notice until his next phone bill that an unwanted 0190/0900 dialer program on his computer has dialed a premium rate number with every connection, resulting in dramatically increased costs.

We recommend you to directly ask your telephone provider to block this number range to be immediately protected against undesired dialers (0190/0900 dialers).

Avira AntiVir Personal can detect the familiar dialers by default.

If the option Dialers is enabled with a check mark in the configuration under Extended threat categories, you receive a corresponding alert if a dialer is detected. You can now simply delete the potentially unwanted 0190/0900 dialer. However, if it is a wanted dial-up program, you can declare it an exceptional file and this file is then no longer scanned in future.

Games (GAMES)

There is a place for computer games - but it is not necessarily at work (except perhaps in the lunch hour). Nevertheless, with the wealth of games downloadable from the internet, a fair bit of mine sweeping and Patience playing goes on among company employees and civil servants. You can download a whole array of games via the Internet. Email games have also become more popular: numerous variants are circulating, ranging from simple chess to "fleet exercises" (including torpedo combats): The corresponding moves are sent to partners via email programs, who answer them.

Studies have shown that the number of working hours devoted to computer games has long reached economically significant proportions. It is therefore not surprising that more and more companies are considering ways of banning computer games from workplace computers.

Avira AntiVir Personal detects computer games. If the Games option is enabled with a check mark in the configuration under Extended threat categories, you receive a corresponding alert if Avira AntiVir Personal detects a game. The game is now over in the truest sense of the word, because you can simply delete it.

Jokes (JOKES)

Jokes are merely intended to give someone a fright or provide general amusement without causing harm or reproducing. When a joke program is loaded, the computer will usually start at some point to play a tune or display something unusual on the screen. Examples of jokes are the washing machine in the disk drive (DRAIN.COM) or the screen eater (BUGSRES.COM).

But beware! All symptoms of joke programs may also originate from a virus or Trojan. At the very least users will get quite a shock or be thrown into such a panic that they may themselves may cause real damage.

Thanks to the extension of its scanning and identification routines, Avira AntiVir Personal is able to detect joke programs and eliminate them as unwanted programs if required. If the option Jokes is enabled with a check mark in the configuration under Extended threat categories, a corresponding alert is issued if a joke program is detected.

Security Privacy Risk (SPR)

Software that maybe is able to compromise the security of your system, initiate unwanted program activities, damage your privacy or spy out your user behavior and might therefore be unwanted.

Avira AntiVir Personal detects "Security Privacy Risk" software. If the option Security Privacy Risk is enabled with a check mark in the configuration under Extended threat categories, you receive a corresponding alert if Avira AntiVir Personal detects such software.

Backdoor Clients (BDC)

In order to steal data or manipulate computers, a backdoor server program is smuggled in unknown to the user. This program can be controlled by a third party using backdoor control software (client) via the internet or a network.

Avira AntiVir Personal detects "backdoor control software". If the option Backdoor Clients is enabled with a check mark in the configuration under Extended threat categories, you receive a corresponding alert if Avira AntiVir Personal detects such software.

Unusual Runtime Compression Tools (PCK)

Files that have been compressed with an unusual runtime compression tool and that can therefore be classified as possibly suspicious.

Avira AntiVir Personal detects "Unusual runtime Compression Tools". If the option Unusual runtime Compression Tools is enabled with a check mark in the configuration under Extended threat categories, you receive a corresponding alert if Avira AntiVir Personal detects such packers.

Double Extension Files (HEUR-DBLEXT)

Executable files that hide their real file extension in a suspicious way. This camouflage method is often used by malware.

Avira AntiVir Personal detects "Double Extension Files". If the option Double Extension files (HEUR-DBLEXT) is enabled with a check mark in the configuration under Extended threat categories, you receive a corresponding alert if Avira AntiVir Personal detects such files.

Phishing

Phishing, also known as brand spoofing is a clever form of data theft aimed at customers or potential customers of Internet service providers, banks, online banking services, registration authorities.
When submitting your email address on the Internet, filling in online forms, accessing newsgroups or websites, your data can be stolen by Internet crawling spiders and then used without your permission to commit fraud or other crimes.

Avira AntiVir Personal detects "Phishing". If the option Phishing is enabled with a check mark in the configuration under Extended threat categories, you receive a corresponding alert if Avira AntiVir Personal detects such behavior.

Application (APPL)

The term APPL refers to an application which may involve a risk when used or is of dubious origin.

Avira AntiVir Personal detects "Application (APPL)". If the option Application (APPL) is enabled with a check mark in the configuration under Extended threat categories , you receive a relevant alert if Avira AntiVir Personal detects such behavior.


Viruses and more :: Viruses and other malware

  • Adware

  • Backdoors

  • Boot viruses

  • Bot-Net

  • Exploit

  • Hoaxes

  • Honeypot

  • Macro viruses

  • Pharming

  • Phishing

  • Polymorph viruses

  • Program viruses

  • Rootkit

  • Script viruses and worms

  • Spyware

  • Trojan horses (short Trojans)

  • Zombie

Adware

Adware is software that presents banner ads or in pop-up windows through a bar that appears on a computer screen. These advertisements usually cannot be removed and are consequently always visible. The connection data allow many conclusions on the usage behavior and are problematic in terms of data security.

Backdoors

A backdoor can gain access to a computer by going around the computer access security mechanisms.

A program that is being executed in the background generally enables the attacker almost unlimited rights. User's personal data can be spied with the backdoor's help, but are mainly used to install further computer viruses or worms on the relevant system. The connection data allow many conclusions on the usage behavior and are problematic in terms of data security.

Boot viruses

The boot or master boot sector of hard disks is mainly infected by boot sector viruses. They overwrite important information necessary for the system execution. One of the awkward consequences: the computer system cannot be loaded any more…

Bot-Net

A bot net is defined as a remote network of PCs (on the Internet), which is composed of bots that communicate with each other. A Bot-Net can comprise a collection of cracked machines running programs (usually referred to as worms, Trojans) under a common command and control infrastructure. Bot-Nets serve various purposes, including Denial-of-service attacks etc., partly without the affected PC user's knowledge. The main potential of Bot-Nets is that the networks can achieve dimensions on thousands of computers and its bandwidth sum bursts most conventional Internet accesses.

Exploit

An exploit (security gap) is a computer program or script that takes advantage of a bug, glitch or vulnerability leading to privilege escalation or denial of service on a computer system. A form of an exploit for example are attacks from the Internet with the help of manipulated data packages. Programs can be infiltrated in order to obtain higher access.

Hoaxes

The users have obtained virus alerts from the Internet for a few years and alerts against viruses in other networks that are supposed to spread via email. These alerts are spread per email with the request that they should be sent to the highest possible number of colleagues and to other users, in order to warn everyone against the "danger".

Honeypot

A honeypot is a service (program or server) installed in a network. It has the function to monitor a network and to protocol attacks. This service is unknown to the legitimate user - because of this reason he is never addressed. If an attacker examines a network for the weak points and uses the services which are offered by a Honeypot, it is logged and an alert is triggered.

Macro viruses

Macro viruses are small programs that are written in the macro language of an application (e.g. WordBasic under WinWord 6.0) and that can normally only spread within documents of this application. Because of this, they are also called document viruses. In order to be active, they need that the corresponding applications are activated and that one of the infected macros has been executed. Unlike "normal" viruses, macro viruses do consequently not attack executable files but they do attack the documents of the corresponding host-application.

Pharming

Pharming is a manipulation of the host file of web browsers to divert enquiries to spoofed websites. This is a further development of classic phishing. Pharming fraudsters operate their own large server farms on which fake websites are stored. Pharming has established itself as an umbrella term for various types of DNS attacks. In the case of a manipulation of the host file, a specific manipulation of a system is carried out with the aid of a Trojan or virus. The result is that the system can now only access fake websites, even if the correct web address is entered.

Phishing

Phishing means angling for personal details of the Internet user. Phishers generally send their victims apparently official letters such as emails that are intended to induce them to reveal confidential information to the culprits in good faith, in particular user names and passwords or PINs and TANs of online banking accounts. With the stolen access details, the phishers can assume the identities of the victims and carry out transactions in their name. What is clear is that banks and insurance companies never ask for credit card numbers, PINs, TANs or other access details by email, SMS or telephone.

Polymorph viruses

Polymorph viruses are the real masters of disguise. They change their own programming codes - and are therefore very hard to detect.

Program viruses

A computer virus is a program that is capable to attach itself to other programs after being executed and cause an infection. Viruses multiply themselves unlike logic bombs and Trojans. In contrast to a worm, a virus always requires a program as host, where the virus deposits his virulent code. The program execution of the host itself is not changed as a rule.

Rootkit

A rootkit is a collection of software tools that are installed after a computer system has been infiltrated to conceal logins of the infiltrator, hide processes and record data - generally speaking: to make themselves invisible. They attempt to update already installed spy programs and reinstall deleted spyware.

Script viruses and worms

Such viruses are extremely easy to program and they can spread - if the required technology is on hand - within a few hours via email round the globe.

Script viruses and worms use one of the script languages, such as Javascript, VBScript etc., to insert themselves in other, new scripts or to spread themselves by calling operating system functions. This frequently happens via email or through the exchange of files (documents).

A worm is a program that multiplies itself but that does not infect the host. Worms can consequently not form part of other program sequences. Worms are often the only possibility to infiltrate any kind of damaging programs on systems with restrictive security measures.

Spyware

Spyware are so called spy programs that intercept or take partial control of a computer's operation without the user's informed consent. Spyware is designed to exploit infected computers for commercial gain.

Trojan horses (short Trojans)

Trojans are pretty common nowadays. We are talking about programs that pretend to have a particular function, but that show their real image after execution and carry out a different function that, in most cases, is destructive. Trojan horses cannot multiply themselves, which differentiates them from viruses and worms. Most of them have an interesting name (SEX.EXE or STARTME.EXE) with the intention to induce the user to start the Trojan. Immediately after execution they become active and can, for example, format the hard disk. A dropper is a special form of Trojan that 'drops' viruses, i.e. embeds viruses on the computer system.

Zombie

A Zombie-PC is a computer that is infected with malware programs and that enables hackers to abuse computers via remote control for criminal purposes. On command, the affected PC starts denial-of-service (DoS) attacks, for example, or sends spam and phishing emails.


Info and Service :: Overview

This section contains information on how to contact us.

  • Contact address

  • Technical support

  • Suspicious files

  • Report false positives


Info and Service :: Contact address

If you have any questions or requests concerning the Avira AntiVir Personal product range, we will be pleased to help you. For our contact addresses, please refer to Help :: About Avira AntiVir Personal.Control Center


Info and service :: Technical support

Avira AntiVir Personal support provides reliable assistance in answering your questions or solving a technical problem.

All necessary information on our comprehensive support service can be obtained from our website http://www.avira.com/classic-support.

So that we can provide you with fast, reliable help, you should have the following information ready:

  • Version information. You can find this in Avira AntiVir Personal Control Center under the menu item Help :: About AntiVir Personal :: Version information.

  • Operating system version and any Service Packs installed.

  • Installed software packages, e.g. anti-virus software of other vendors.

  • Exact messages of the program or of the report file.


Info and Service :: Suspicious files

Info and service :: Suspicious file

Viruses that may not yet be detected or removed by our products or suspect files can be sent to us. We provide you with several ways of doing this.

  • In Quarantine manager select the Control Centerfile file and use the context menu or corresponding button to select the item Send file.

  • Send the required file packed (WinZIP, PKZip, Arj etc.) in the attachment of an email to virus@avira.com. As some email gateways work with anti-virus software, you should also provide the file(s) with a password (please remember to tell us the password).


Info and Service :: Report false positive

If you believe that Avira AntiVir Personal reports something about a file that is most likely "clean", send the required file packed (WinZIP, PKZip, Arj etc.) in the attachment of an email to virus@avira.com. As some email gateways work with anti-virus software, you should also provide the file(s) with a password (please remember to tell us the password).


Trademarks and Copyright

Trademarks

AntiVir is a registered trademark of Avira GmbH.

Windows is a registered trademark of the Microsoft Corporation in the United States and other countries.

All other brand and product names are trademarks or registered trademarks of their respective owners.

Protected trademarks are not marked as such in this manual. This does not mean, however that they may be used freely.

Copyright information

A code provided by a third party has been used for Avira AntiVir Personal. We thank the copyright owners for making the code available to us. For detailed information on copyright, please refer to Third Party Licenses .


Third Party Licenses

UnAce

"Package" refers to the collection of files distributed by the Copyright Holder, and derivatives

of that collection of files created through textual modification.

"Standard Version" refers to such a Package if it has not been modified, or has been modified

in accordance with the wishes of the Copyright Holder.

"Distribution" as it is used here means making data available to a third party.

No matter in which way the data is made available.

"Copyright Holder" is ACE Compression Software.

"Distribution Partner" is e-merge GmbH (authorised signatory).

1. The Standard Version of Public UnAce Package may be freely distributed.

2. The UnAce sources may be used in any software to handle ACE

archives without limitations free of charge, but must not be used

to reproduce the ACE compression algorithm.

This means that that the code must not be used to develop an

ACE compatible archiver (that is: software capable of compressing to

Ace archives) in any way.

3. Distribution of modified Public UnAce sources (as part of other software

or as stand-alone package) requires that it is clearly stated in the

documentation and source code that it is distributed under the

Public UnAce Licence.

The Public UnAce Licence has to be included in this package.

4. The name of the Copyright Holder or the support of ACE archives may not be

used to endorse or promote products derived from this package without specific

prior written permission from the Copyright Holder or its Distribution Partner.

5. This Software is distributed "AS IS".

NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT

YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS,

DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING

OR MISUSING THIS SOFTWARE.

6. Installing and using the Public UnAce Package signifies acceptance of

these terms and conditions of the license.

Marcel Lemke, ACE Compression Software

APR

Apache License

Version 2.0, January 2004

http://www.apache.org/licenses/

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction,

and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by

the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all

other entities that control, are controlled by, or are under common

control with that entity. For the purposes of this definition,

"control" means (i) the power, direct or indirect, to cause the

direction or management of such entity, whether by contract or

otherwise, or (ii) ownership of fifty percent (50%) or more of the

outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity

exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications,

including but not limited to software source code, documentation

source, and configuration files.

"Object" form shall mean any form resulting from mechanical

transformation or translation of a Source form, including but

not limited to compiled object code, generated documentation,

and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or

Object form, made available under the License, as indicated by a

copyright notice that is included in or attached to the work

(an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object

form, that is based on (or derived from) the Work and for which the

editorial revisions, annotations, elaborations, or other modifications

represent, as a whole, an original work of authorship. For the purposes

of this License, Derivative Works shall not include works that remain

separable from, or merely link (or bind by name) to the interfaces of,

the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including

the original version of the Work and any modifications or additions

to that Work or Derivative Works thereof, that is intentionally

submitted to Licensor for inclusion in the Work by the copyright owner

or by an individual or Legal Entity authorized to submit on behalf of

the copyright owner. For the purposes of this definition, "submitted"

means any form of electronic, verbal, or written communication sent

to the Licensor or its representatives, including but not limited to

communication on electronic mailing lists, source code control systems,

and issue tracking systems that are managed by, or on behalf of, the

Licensor for the purpose of discussing and improving the Work, but

excluding communication that is conspicuously marked or otherwise

designated in writing by the copyright owner as "Not a Contribution."

"Contributor" shall mean Licensor and any individual or Legal Entity

on behalf of whom a Contribution has been received by Licensor and

subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of

this License, each Contributor hereby grants to You a perpetual,

worldwide, non-exclusive, no-charge, royalty-free, irrevocable

copyright license to reproduce, prepare Derivative Works of,

publicly display, publicly perform, sublicense, and distribute the

Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of

this License, each Contributor hereby grants to You a perpetual,

worldwide, non-exclusive, no-charge, royalty-free, irrevocable

(except as stated in this section) patent license to make, have made,

use, offer to sell, sell, import, and otherwise transfer the Work,

where such license applies only to those patent claims licensable

by such Contributor that are necessarily infringed by their

Contribution(s) alone or by combination of their Contribution(s)

with the Work to which such Contribution(s) was submitted. If You

institute patent litigation against any entity (including a

cross-claim or counterclaim in a lawsuit) alleging that the Work

or a Contribution incorporated within the Work constitutes direct

or contributory patent infringement, then any patent licenses

granted to You under this License for that Work shall terminate

as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the

Work or Derivative Works thereof in any medium, with or without

modifications, and in Source or Object form, provided that You

meet the following conditions:

(a) You must give any other recipients of the Work or

Derivative Works a copy of this License; and

(b) You must cause any modified files to carry prominent notices

stating that You changed the files; and

(c) You must retain, in the Source form of any Derivative Works

that You distribute, all copyright, patent, trademark, and

attribution notices from the Source form of the Work,

excluding those notices that do not pertain to any part of

the Derivative Works; and

(d) If the Work includes a "NOTICE" text file as part of its

distribution, then any Derivative Works that You distribute must

include a readable copy of the attribution notices contained

within such NOTICE file, excluding those notices that do not

pertain to any part of the Derivative Works, in at least one

of the following places: within a NOTICE text file distributed

as part of the Derivative Works; within the Source form or

documentation, if provided along with the Derivative Works; or,

within a display generated by the Derivative Works, if and

wherever such third-party notices normally appear. The contents

of the NOTICE file are for informational purposes only and

do not modify the License. You may add Your own attribution

notices within Derivative Works that You distribute, alongside

or as an addendum to the NOTICE text from the Work, provided

that such additional attribution notices cannot be construed

as modifying the License.

You may add Your own copyright statement to Your modifications and

may provide additional or different license terms and conditions

for use, reproduction, or distribution of Your modifications, or

for any such Derivative Works as a whole, provided Your use,

reproduction, and distribution of the Work otherwise complies with

the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise,

any Contribution intentionally submitted for inclusion in the Work

by You to the Licensor shall be under the terms and conditions of

this License, without any additional terms or conditions.

Notwithstanding the above, nothing herein shall supersede or modify

the terms of any separate license agreement you may have executed

with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade

names, trademarks, service marks, or product names of the Licensor,

except as required for reasonable and customary use in describing the

origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or

agreed to in writing, Licensor provides the Work (and each

Contributor provides its Contributions) on an "AS IS" BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or

implied, including, without limitation, any warranties or conditions

of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A

PARTICULAR PURPOSE. You are solely responsible for determining the

appropriateness of using or redistributing the Work and assume any

risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory,

whether in tort (including negligence), contract, or otherwise,

unless required by applicable law (such as deliberate and grossly

negligent acts) or agreed to in writing, shall any Contributor be

liable to You for damages, including any direct, indirect, special,

incidental, or consequential damages of any character arising as a

result of this License or out of the use or inability to use the

Work (including but not limited to damages for loss of goodwill,

work stoppage, computer failure or malfunction, or any and all

other commercial damages or losses), even if such Contributor

has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing

the Work or Derivative Works thereof, You may choose to offer,

and charge a fee for, acceptance of support, warranty, indemnity,

or other liability obligations and/or rights consistent with this

License. However, in accepting such obligations, You may act only

on Your own behalf and on Your sole responsibility, not on behalf

of any other Contributor, and only if You agree to indemnify,

defend, and hold each Contributor harmless for any liability

incurred by, or claims asserted against, such Contributor by reason

of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

APPENDIX: How to apply the Apache License to your work.

To apply the Apache License to your work, attach the following

boilerplate notice, with the fields enclosed by brackets "[]"

replaced with your own identifying information. (Don't include

the brackets!) The text should be enclosed in the appropriate

comment syntax for the file format. We also recommend that a

file or class name and description of purpose be included on the

same "printed page" as the copyright notice for easier

identification within third-party archives.

Copyright [2008] [Avira GmbH]

Licensed under the Apache License, Version 2.0 (the "License");

you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software

distributed under the License is distributed on an "AS IS" BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

See the License for the specific language governing permissions and

limitations under the License.

APACHE PORTABLE RUNTIME SUBCOMPONENTS:

The Apache Portable Runtime includes a number of subcomponents with

separate copyright notices and license terms. Your use of the source

code for the these subcomponents is subject to the terms and

conditions of the following licenses.

From strings/apr_fnmatch.c, include/apr_fnmatch.h, misc/unix/getopt.c,

file_io/unix/mktemp.c, strings/apr_strings.c:

/*

* Copyright (c) 1987, 1993, 1994

* The Regents of the University of California. All rights reserved.

*

* Redistribution and use in source and binary forms, with or without

* modification, are permitted provided that the following conditions

* are met:

* 1. Redistributions of source code must retain the above copyright

* notice, this list of conditions and the following disclaimer.

* 2. Redistributions in binary form must reproduce the above copyright

* notice, this list of conditions and the following disclaimer in the

* documentation and/or other materials provided with the distribution.

* 3. All advertising materials mentioning features or use of this software

* must display the following acknowledgement:

* This product includes software developed by the University of

* California, Berkeley and its contributors.

* 4. Neither the name of the University nor the names of its contributors

* may be used to endorse or promote products derived from this software

* without specific prior written permission.

*

* THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND

* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE

* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE

* ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE

* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS

* OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)

* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT

* LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY

* OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF

* SUCH DAMAGE.

From network_io/unix/inet_ntop.c, network_io/unix/inet_pton.c:

/* Copyright (c) 1996 by Internet Software Consortium.

*

* Permission to use, copy, modify, and distribute this software for any

* purpose with or without fee is hereby granted, provided that the above

* copyright notice and this permission notice appear in all copies.

*

* THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS

* ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES

* OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE

* CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL

* DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR

* PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS

* ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS

* SOFTWARE.

From dso/aix/dso.c:

* Based on libdl (dlfcn.c/dlfcn.h) which is

* Copyright (c) 1992,1993,1995,1996,1997,1988

* Jens-Uwe Mager, Helios Software GmbH, Hannover, Germany.

*

* Not derived from licensed software.

*

* Permission is granted to freely use, copy, modify, and redistribute

* this software, provided that the author is not construed to be liable

* for any results of using the software, alterations are clearly marked

* as such, and this notice is not modified.

From strings/apr_strnatcmp.c, include/apr_strings.h:

strnatcmp.c -- Perform 'natural order' comparisons of strings in C.

Copyright (C) 2000 by Martin Pool <mbp@humbug.org.au>

This software is provided 'as-is', without any express or implied

warranty. In no event will the authors be held liable for any damages

arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,

including commercial applications, and to alter it and redistribute it

freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not

claim that you wrote the original software. If you use this software

in a product, an acknowledgment in the product documentation would be

appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be

misrepresented as being the original software.

3. This notice may not be removed or altered from any source distribution.

ARJ

* UNARJ.H, UNARJ, R JUNG, 07/29/96

* Include file

* Copyright (c) 1990-97 ARJ Software, Inc. All rights reserved.

*

* This code may be freely used in programs that are NOT ARJ archivers

* (both compress and extract ARJ archives).

*

* If you wish to distribute a modified version of this program, you

* MUST indicate that it is a modified version both in the program and

* source code.

*

* If you modify this program, we would appreciate a copy of the new

* source code. we are holding the copyright on the source code, so

* please do not delete our name from the program files or from the

* documentation.

*

* Modification history:

* Date Programmer Description of modification.

* 04/05/91 R. Jung Rewrote code.

* 04/23/91 M. Adler Portabilized.

* 04/29/91 R. Jung Added volume label support.

* 05/30/91 R. Jung Added SEEK_END definition.

* 06/03/91 R. Jung Changed arguments in get_mode_str() and

* set_ftime_mode().

* 06/28/91 R. Jung Added new HOST OS numbers.

* 07/08/91 R. Jung Added default_case_path() and strlower().

* 07/21/91 R. Jung Fixed #endif _QC comment.

* 08/27/91 R. Jung Added #ifdef for COHERENT.

* 09/01/91 R. Jung Added new host names.

* 12/03/91 R. Jung Added BACKUP_FLAG.

* 04/06/92 R. Jung Added ARCHIMEDES.

* 02/17/93 R. Jung Improved ARJ header information. Added ARJ_M_VERSION.

* 01/22/94 R. Jung Changed copyright message.

* 07/29/96 R. Jung Added "/" to list of path separators.

*

*/

/* ATTENTION THIS IS A VERSION MODIFIED BY H+BEDV Datentechnik GmbH */

BIGDIGITS

/******************** COPYRIGHT AND LICENCE NOTICE ********************

This source code is part of the BIGDIGITS multiple-precision

arithmetic library Version 2.1 originally written by David Ireland,

copyright (c) 2001-6 D.I. Management Services Pty Limited, all rights

reserved. You are permitted to use compiled versions of this code at

no charge as part of your own executable files and to distribute

unlimited copies of such executable files for any purposes including

commercial ones provided you agree to these terms and conditions and

keep the copyright notices intact in the source code and you ensure

that the following characters remain in any object or executable files

you distribute AND clearly in any accompanying documentation:

"Contains BIGDIGITS multiple-precision arithmetic code originally

written by David Ireland, copyright (c) 2001-6 by D.I. Management

Services Pty Limited <www.di-mgt.com.au>, and is used with

permission."

David Ireland and DI Management Services Pty Limited make no

representations concerning either the merchantability of this software

or the suitability of this software for any particular purpose. It is

provided "as is" without express or implied warranty of any kind. Our

liability will be limited exclusively to the refund of the money you

paid us for the software, namely nothing. By using the software you

expressly agree to such a waiver. If you do not agree to the terms, do

not use the software.

Please forward any comments and bug reports to <www.di-mgt.com.au>.

The latest version of the source code can be downloaded from

<www.di-mgt.com.au/bigdigits.html>.

Last updated: 19 August 2006.

*************** END OF COPYRIGHT AND LICENCE NOTICE ******************/

BZIP2

/*-------------------------------------------------------------*/

/*--- Public header file for the library. ---*/

/*--- bzlib.h ---*/

/*-------------------------------------------------------------*/

/*--

This file is a part of bzip2 and/or libbzip2, a program and

library for lossless, block-sorting data compression.

Copyright (C) 1996-2002 Julian R Seward. All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions

are met:

1. Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

2. The origin of this software must not be misrepresented; you must

not claim that you wrote the original software. If you use this

software in a product, an acknowledgment in the product

documentation would be appreciated but is not required.

3. Altered source versions must be plainly marked as such, and must

not be misrepresented as being the original software.

4. The name of the author may not be used to endorse or promote

products derived from this software without specific prior written

permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS

OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED

WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE

ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY

DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE

GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS

INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,

WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING

NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS

SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Julian Seward, Cambridge, UK.

jseward@acm.org

bzip2/libbzip2 version 1.0 of 21 March 2000

This program is based on (at least) the work of:

Mike Burrows

David Wheeler

Peter Fenwick

Alistair Moffat

Radford Neal

Ian H. Witten

Robert Sedgewick

Jon L. Bentley

For more information on these sources, see the manual.

--*/

CARES

Copyright 1998 by the Massachusetts Institute of Technology.

Permission to use, copy, modify, and distribute this software and its

documentation for any purpose and without fee is hereby granted, provided that

the above copyright notice appear in all copies and that both that copyright

notice and this permission notice appear in supporting documentation, and that

the name of M.I.T. not be used in advertising or publicity pertaining to

distribution of the software without specific, written prior permission.

M.I.T. makes no representations about the suitability of this software for any

purpose. It is provided "as is" without express or implied warranty.

CURL

License Mixing with apps, libcurl and Third Party Libraries

===========================================================

libcurl can be built to use a fair amount of various third party libraries,

libraries that are written and provided by other parties that are distributed

using their own licenses. Even libcurl itself contains code that may cause

problems to some. This document attempts to describe what licenses libcurl and

the other libraries use and what possible dilemmas linking and mixing them all

can lead to for end users.

I am not a lawyer and this is not legal advice!

One common dilemma is that GPL[1]-licensed code is not allowed to be linked

with code licensed under the Original BSD license (with the announcement

clause, unless there's a specified exception in the GPL-licensed module). You

may still build your own copies that use them all, but distributing them as

binaries would be to violate the GPL license - unless you accompany your

license with an exception[2]. This particular problem was addressed when the

Modified BSD license was created, which does not have the annoncement clause

that collides with GPL.

libcurl http://curl.haxx.se/docs/copyright.html

Uses an MIT (or Modified BSD)-style license that is as liberal as

possible. Some of the source files that deal with KRB4 have Original

BSD-style announce-clause licenses. You may not distribute binaries

with krb4-enabled libcurl that also link with GPL-licensed code!

OpenSSL http://www.openssl.org/source/license.html

Uses an Original BSD-style license with an announement clause that

makes it "incompatible" with GPL. You are not allowed to ship binaries

that link with OpenSSL that includes GPL code (unless that specific

GPL code includes an exception for OpenSSL - a habit that is growing

more and more common). If OpenSSL's licensing is a problem for you,

consider using GnuTLS instead.

GnuTLS http://www.gnutls.org/

Uses the LGPL[3] license. If this is a problem for you, consider using

OpenSSL instead. Also note that GnuTLS itself depends on and uses

other libs (libgcrypt and libgpg-error) and they too are LGPL- or

GPL-licensed.

c-ares http://daniel.haxx.se/projects/c-ares/license.html

Uses an MIT license that is very liberal and imposes no restrictions

on any other library or part you may link with.

zlib http://www.gzip.org/zlib/zlib_license.html

Uses an MIT-style license that shouldn't collide with any other

library.

krb4

While nothing in particular says that a Kerberos4 library must use any

particular license, the one I've tried and used successfully so far

(kth-krb4) is Original BSD-licensed with the announcement clause. Some

of the code in libcurl that is written to deal with Kerberos4 likewise

have such a license.

GSSAPI

While nothing in particular says that a GSS/Kerberos5 library must use

any particular license, the one I've used (Heimdal) is Original BSD-

licensed with the announcement clause.

fbopenssl

Unclear license. Based on its name, I assume that it uses the OpenSSL

license and thus shares the same issues as described for OpenSSL

above.

libidn http://www.gnu.org/licenses/lgpl.html

Uses the GNU Lesser General Public License. LGPL is a variation of GPL

with slightly less aggressive "copyleft". This license requires more

requirements to be met when distributing binaries, see the license for

details. Also note that if you distribute a binary that includes this

library, you must also include the full LGPL license text. Please

properly point out what parts of the distributed package that the

license addresses.

OpenLDAP http://www.openldap.org/software/release/license.html

Uses a Modified BSD-style license. Since libcurl uses OpenLDAP as a

shared library only, I have not heard of anyone that ships OpenLDAP

linked with libcurl in an app.

[1] = GPL - GNU General Public License: http://www.gnu.org/licenses/gpl.html

[2] = http://www.fsf.org/licenses/gpl-faq.html#GPLIncompatibleLibs details on

how to write such an exception to the GPL

[3] = LGPL - GNU Lesser General Public License:

http://www.gnu.org/licenses/lgpl.html

DTL

Copyright © 2002, Michael Gradman and Corwin Joy. Last Updated: 8/15/2005.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appears in all copies and that both that copyright notice and this permission notice appear in supporting documentation. Corwin Joy and Michael Gradman make no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

Expat

Copyright (c) 1998, 1999, 2000 Thai Open Source Software Center Ltd

and Clark Cooper

Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006 Expat maintainers.

Permission is hereby granted, free of charge, to any person obtaining

a copy of this software and associated documentation files (the

"Software"), to deal in the Software without restriction, including

without limitation the rights to use, copy, modify, merge, publish,

distribute, sublicense, and/or sell copies of the Software, and to

permit persons to whom the Software is furnished to do so, subject to

the following conditions:

The above copyright notice and this permission notice shall be included

in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,

EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF

MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY

CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,

TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE

SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

gSoap

gSOAP is distributed with a choice of three licenses:

* The gSOAP public open source license (which is based on the Mozilla public

license 1.1). See license.html or license.pdf for further details.

* Or GPL (GNU Public License, a common open-source software license).

IMPORTANT: see NOTE below.

* Or a proprietary software development license.

IMPORTANT: see NOTE below.

You can choose which license applies best for your intended use. The software

is offered under GPL conditions to enable the software to be used with open

source GPL projects, educational use, and so on. We do not accept third-party

GPL contributions to avoid having to fork the code base in GPL and non-GPL.

IMPORTANT NOTE: the wsdl2h parser, UDDI code, and sample applications such as

the stand-alone web server are distributed ONLY under the GPL or the

proprietary license. This means that commercial use of wsdl2h to generate code

for product development, or the use of the UDDI source code, or the use of code

from the sample Web service applications requires the proprietary software

development license. The reason for this is that the wsdl2h tool, UDDI and some

of the sample applications are not developed at Florida State University.

Please contact me by email if you have any questions on licensing and software

support: engelen@genivia.com

The parts of the code that are strictly distributed under the GPL (i.e. the

code that is only distributed under GPL and not jointly under GPL and gSOAP

public license) cannot be used for commercial purposes. These parts are:

* The wsdl2h WSDL parser source code and the code generated by it.

* The UDDI source code.

* The examples included in the gSOAP distribution package 'samples' directory.

For more information, visit:

http://www.cs.fsu.edu/~engelen/soaplicense.html

A commercial license is available for the GPL licensed software. Please visit:

http://www.genivia.com/Products/gsoap/contract.html

COPYRIGHT

gSOAP is copyrighted by Robert A. van Engelen, Genivia, Inc.

Copyright (C) 2000-2008 Robert A. van Engelen, Genivia, Inc.

All Rights Reserved.

USE RESTRICTIONS

You may not: (i) transfer rights to gSOAP or claim authorship; or (ii) remove

any product identification, copyright, proprietary notices or labels from gSOAP.

WARRANTY

GENIVIA INC. EXPRESSLY DISCLAIMS ALL WARRANTIES, WHETHER EXPRESS, IMPLIED OR

STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF

MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT OF THIRD

PARTY INTELLECTUAL PROPERTY RIGHTS, AND ANY WARRANTY THAT MAY ARISE BY REASON

OF TRADE USAGE, CUSTOM, OR COURSE OF DEALING. WITHOUT LIMITING THE

FOREGOING, YOU ACKNOWLEDGE THAT THE SOFTWARE IS PROVIDED "AS IS" AND THAT

GENIVIA INC. DO NOT WARRANT THE SOFTWARE WILL RUN UNINTERRUPTED OR ERROR FREE.

LIMITED LIABILITY: THE ENTIRE RISK AS TO RESULTS AND PERFORMANCE OF THE

SOFTWARE IS ASSUMED BY YOU. UNDER NO CIRCUMSTANCES WILL GENIVIA INC. BE LIABLE

FOR ANY SPECIAL, INDIRECT, INCIDENTAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES OF

ANY KIND OR NATURE WHATSOEVER, WHETHER BASED ON CONTRACT, WARRANTY, TORT

(INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, ARISING OUT OF OR IN

ANY WAY RELATED TO THE SOFTWARE, EVEN IF GENIVIA INC. HAS BEEN ADVISED ON THE

POSSIBILITY OF SUCH DAMAGE OR IF SUCH DAMAGE COULD HAVE BEEN REASONABLY

FORESEEN, AND NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY

EXCLUSIVE REMEDY PROVIDED. SUCH LIMITATION ON DAMAGES INCLUDES, BUT IS NOT

LIMITED TO, DAMAGES FOR LOSS OF GOODWILL, LOST PROFITS, LOSS OF DATA OR

SOFTWARE, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION OR IMPAIRMENT OF

OTHER GOODS. IN NO EVENT WILL GENIVIA INC. BE LIABLE FOR THE COSTS OF

PROCUREMENT OF SUBSTITUTE SOFTWARE OR SERVICES. YOU ACKNOWLEDGE THAT THIS

SOFTWARE IS NOT DESIGNED FOR USE IN ON-LINE EQUIPMENT IN HAZARDOUS

ENVIRONMENTS SUCH AS OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR

CONTROL, OR LIFE-CRITICAL APPLICATIONS. GENIVIA INC. EXPRESSLY DISCLAIM ANY

LIABILITY RESULTING FROM USE OF THE SOFTWARE IN ANY SUCH ON-LINE EQUIPMENT IN

HAZARDOUS ENVIRONMENTS AND ACCEPTS NO LIABILITY IN RESPECT OF ANY ACTIONS OR

CLAIMS BASED ON THE USE OF THE SOFTWARE IN ANY SUCH ON-LINE EQUIPMENT IN

HAZARDOUS ENVIRONMENTS BY YOU. FOR PURPOSES OF THIS PARAGRAPH, THE TERM

"LIFE-CRITICAL APPLICATION" MEANS AN APPLICATION IN WHICH THE FUNCTIONING OR

MALFUNCTIONING OF THE SOFTWARE MAY RESULT DIRECTLY OR INDIRECTLY IN PHYSICAL

INJURY OR LOSS OF HUMAN LIFE.

libxml

Except where otherwise noted in the source code (e.g. the files hash.c,

list.c and the trio files, which are covered by a similar licence but

with different Copyright notices) all the files are:

Copyright (C) 1998-2003 Daniel Veillard. All Rights Reserved.

Permission is hereby granted, free of charge, to any person obtaining a copy

of this software and associated documentation files (the "Software"), to deal

in the Software without restriction, including without limitation the rights

to use, copy, modify, merge, publish, distribute, sublicense, and/or sell

copies of the Software, and to permit persons to whom the Software is fur-

nished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in

all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FIT-

NESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE

DANIEL VEILLARD BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER

IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CON-

NECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of Daniel Veillard shall not

be used in advertising or otherwise to promote the sale, use or other deal-

ings in this Software without prior written authorization from him.

Lua

Open Source Initiative OSI - The MIT License:Licensing

Submitted by nelson on Tue, 2006-10-31 04:56. ::

The MIT License

Copyright (c) 2008 Avira GmbH

Permission is hereby granted, free of charge, to any person obtaining a copy

of this software and associated documentation files (the "Software"), to deal

in the Software without restriction, including without limitation the rights

to use, copy, modify, merge, publish, distribute, sublicense, and/or sell

copies of the Software, and to permit persons to whom the Software is

furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in

all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE

AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER

LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,

OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN

THE SOFTWARE.

Lzma

http://www.7-zip.org/sdk.html

LZMA SDK is available under any of the following licenses:

1. GNU Lesser General Public License (GNU LGPL)

2. Common Public License (CPL)

3. Simplified license for unmodified code (read SPECIAL EXCEPTION)

4. Proprietary license

This means that you can select one of these four options and follow rules of that license.

SPECIAL EXCEPTION: Igor Pavlov, as the author of this code, expressly permit you statically or dynamically to link your code (or bind by name) to the files from LZMA SDK without subjecting your linked code to the terms of the CPL or GNU LGPL. Any modification or addition to any file in the LZMA SDK, however, is subject to the GNU LGPL or CPL terms.

This SPECIAL EXCEPTION allows you to use LZMA SDK in applications with proprietary code, provided you keep the LZMA SDK code unmodified.

SPECIAL EXCEPTION #2: Igor Pavlov, as the author of this code, expressly permits you to use LZMA SDK 4.57 under the same terms and conditions contained in the License Agreement you have for any previous version of LZMA SDK developed by Igor Pavlov.

SPECIAL EXCEPTION #2 allows holders of proprietary licenses to use latest version of LZMA SDK as update for previous versions.

GNU LGPL and CPL are pretty similar and both these licenses are classified as free software licenses at http://www.gnu.org/ and OSI-approved at http://www.opensource.org/.

LZMA SDK also is available under a proprietary license which can include:

1. The right to modify code from the LZMA SDK without subjecting the modified code to the terms of the CPL or GNU LGPL

2. Technical support for LZMA SDK via email

To request such a proprietary license, or for any additional consultations, send an email message, using the 7-Zip support page: Send message to LZMA developer

The source code of 7-Zip is released under the terms of the GNU LGPL. You can download the source code of 7-Zip at 7-Zip's Source Forge Page

MD5

***********************************************************************

md5_opt package - optimized stand-alone MD5 reference implementation

V1.0

Copyright (c) 1995 University of Southern California.

All rights reserved.

Redistribution and use in source and binary forms are permitted

provided that the above copyright notice and this paragraph are

duplicated in all such forms and that any documentation, advertising

materials, and other materials related to such distribution and use

acknowledge that the software was developed by the University of

Southern California, Information Sciences Institute. The name of the

University may not be used to endorse or promote products derived from

this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED

WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF

MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

J. Touch / touch@isi.edu

5/1/95

************************************************************************

md5_opt is an optimized version of the reference implementation of

MD5 contained in RFC-1321.

This file consists of:

README This file

Makefile Augmented Makefile to create optimized

executables, performance runs, and this

tar file.

global.h (exactly as in RFC1321)

md5.h (exactly as in RFC1321)

md5c.c (exactly as in RFC1321, using memset and

memcpy as the RFC source code indicated)

md5c_opt.c optimized version of md5c.c

Omit reordering and copying on little-endian

(as indicated in RFC source)

Optimize swap sequence as in-line code.

Unroll swap code loop to permit

mddriver.c Replaced calls to time() to getrusage()

to make the timing more precise.

Augment printout with bps and lots

of getrusage info (including context

switching information).

Fixed LEN and COUNT error in status printout.

Added command line options for:

- double-buffering

- set LEN

- set COUNT

- randomize buffer initialiation

- omit buffer initialization

- byte ordering

(see source for info)

Discussion:

This code presents three groups of modifications to the reference

implementation source code from RFC 1321:

automated performance measurement modifications (Makefile)

includes "make" targets for performance

measurement accummulation, as well as

making this tar file

performance modifications to the algorithm (md5c_opt.c)

loop-unrolling the decode to use constant offsets,

and optimization of the byte-swapping equation

"driver" modifications to enhance measurement (mddriver.c)

replace time() with getrusage(), which has better

resolution, and report not only time, but also

all getrusage information, notably context-switching

frequency. Lots of context-switching reduces the

precision of the measured time.

"driver" modifications to isolate caching effects (mddriver.c)

allow command-line configuration of previously

compile-time #defines, including:

-l num test block length

-c num test block repetition count

-n byte reordering (test or non-test)

(i.e., use network-standard order)

options to isolate the effects of caching:

-s skip test block initialization

(avoiding cache preloading)

-d double-buffer the test block

(use alternate halves of the test

block, forcing cache reloading,

defeating caching benefits for sizes

less than the block size)

options to measure data-dependent performance:

-r randomize test block initialization

************************************************************************

Joe Touch

Computer Scientist

USC/Information Sciences Institute

touch@isi.edu

************************************************************************

VERSION HISTORY

1.0 May 1995 Initial release.

************************************************************************

(README as distributed with the code, provided by Jim Ellis of Cert)

This directory contains source code for the MD5 message-digest algorithm.

MD5.tar.Z is a compressed tar file of all the other files in this directory.

"md5-announcement.txt" is the announcement from RSA Data Security that

MD5 is being placed in the public domain for free general use.

"rfc1321.txt" is the RFC that describes in detail the MD2, MD4, and MD5

message-digest algorithms.

The *.[ch] files were taken exactly from RFC 1321.

I wrote a simple Makefile to build an md5 executable by default,

with targets for "test" (which implements the test in Appendix A.5 in the RFC)

and "clean". Running Makefile with no targets will build the "md5" binary.

There is a typo in the RFC Appendix A.4 (mddriver.c).

Line 20 sets MD to "MD5" by default, but the code wants

MD to be set to one of "2", "4", or "5".

I put a -DMD=5 in the Makefile to mask this problem so that the

code itself remains unchanged from what is in RFC 1321.

Ric Anderson, ric@Artisoft.COM, provided a bug fix to the timing test

code that caused a divide by zero aborts on a Sun sparc station-10

running soalris 2.3. This fix to mddriver.c is the only change to the

code in RFC 1321 and corrects only a problem with the timing tests.

No change to the code that implements the actual checksum has been made.

Ric has also provided a man page - "md5.1". A postscript version

of this man page is in "md5.1.ps" and a text version in "md5.1.txt".

-- Jim Ellis (jte@cert.org)

/*********************************************************************

* Copyright (C) 1991-2, RSA Data Security, Inc. Created 1991. All rights reserved.

*

* License to copy and use this software is granted provided that it

* is identified as the "RSA Data Security, Inc. MD5 Message-Digest

* Algorithm" in all material mentioning or referencing this software

* or this function.

*

* License is also granted to make and use derivative works provided

* that such works are identified as "derived from the RSA Data

* Security, Inc. MD5 Message-Digest Algorithm" in all material

* mentioning or referencing the derived work.

*

* RSA Data Security, Inc. makes no representations concerning either

* the merchantability of this software or the suitability of this

* software for any particular purpose. It is provided "as is"

* without express or implied warranty of any kind.

*

* These notices must be retained in any copies of any part of this

* documentation and/or software.

*

**********************************************************************

OpenSSL

LICENSE ISSUES

==============

The OpenSSL toolkit stays under a dual license, i.e. both the conditions of

the OpenSSL License and the original SSLeay license apply to the toolkit.

See below for the actual license texts. Actually both licenses are BSD-style

Open Source licenses. In case of any license issues related to OpenSSL

please contact openssl-core@openssl.org.

OpenSSL License

---------------

/* ====================================================================

* Copyright (c) 1998-2007 The OpenSSL Project. All rights reserved.

*

* Redistribution and use in source and binary forms, with or without

* modification, are permitted provided that the following conditions

* are met:

*

* 1. Redistributions of source code must retain the above copyright

* notice, this list of conditions and the following disclaimer.

*

* 2. Redistributions in binary form must reproduce the above copyright

* notice, this list of conditions and the following disclaimer in

* the documentation and/or other materials provided with the

* distribution.

*

* 3. All advertising materials mentioning features or use of this

* software must display the following acknowledgment:

* "This product includes software developed by the OpenSSL Project

* for use in the OpenSSL Toolkit. (http://www.openssl.org/)"

*

* 4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to

* endorse or promote products derived from this software without

* prior written permission. For written permission, please contact

* openssl-core@openssl.org.

*

* 5. Products derived from this software may not be called "OpenSSL"

* nor may "OpenSSL" appear in their names without prior written

* permission of the OpenSSL Project.

*

* 6. Redistributions of any form whatsoever must retain the following

* acknowledgment:

* "This product includes software developed by the OpenSSL Project

* for use in the OpenSSL Toolkit (http://www.openssl.org/)"

*

* THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY

* EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE

* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR

* PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR

* ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,

* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT

* NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;

* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)

* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,

* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)

* ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED

* OF THE POSSIBILITY OF SUCH DAMAGE.

* ====================================================================

*

* This product includes cryptographic software written by Eric Young

* (eay@cryptsoft.com). This product includes software written by Tim

* Hudson (tjh@cryptsoft.com).

*

*/

Original SSLeay License

-----------------------

/* Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)

* All rights reserved.

*

* This package is an SSL implementation written

* by Eric Young (eay@cryptsoft.com).

* The implementation was written so as to conform with Netscapes SSL.

*

* This library is free for commercial and non-commercial use as long as

* the following conditions are aheared to. The following conditions

* apply to all code found in this distribution, be it the RC4, RSA,

* lhash, DES, etc., code; not just the SSL code. The SSL documentation

* included with this distribution is covered by the same copyright terms

* except that the holder is Tim Hudson (tjh@cryptsoft.com).

*

* Copyright remains Eric Young's, and as such any Copyright notices in

* the code are not to be removed.

* If this package is used in a product, Eric Young should be given attribution

* as the author of the parts of the library used.

* This can be in the form of a textual message at program startup or

* in documentation (online or textual) provided with the package.

*

* Redistribution and use in source and binary forms, with or without

* modification, are permitted provided that the following conditions

* are met:

* 1. Redistributions of source code must retain the copyright

* notice, this list of conditions and the following disclaimer.

* 2. Redistributions in binary form must reproduce the above copyright

* notice, this list of conditions and the following disclaimer in the

* documentation and/or other materials provided with the distribution.

* 3. All advertising materials mentioning features or use of this software

* must display the following acknowledgement:

* "This product includes cryptographic software written by

* Eric Young (eay@cryptsoft.com)"

* The word 'cryptographic' can be left out if the rouines from the library

* being used are not cryptographic related :-).

* 4. If you include any Windows specific code (or a derivative thereof) from

* the apps directory (application code) you must include an acknowledgement:

* "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"

*

* THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND

* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE

* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE

* ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE

* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS

* OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)

* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT

* LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY

* OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF

* SUCH DAMAGE.

*

* The licence and distribution terms for any publically available version or

* derivative of this code cannot be changed. i.e. this code cannot simply be

* copied and put under another distribution licence

* [including the GNU Public Licence.]

*/

PCRE

PCRE LICENCE

------------

PCRE is a library of functions to support regular expressions whose syntax

and semantics are as close as possible to those of the Perl 5 language.

Release 7 of PCRE is distributed under the terms of the "BSD" licence, as

specified below. The documentation for PCRE, supplied in the "doc"

directory, is distributed under the same terms as the software itself.

The basic library functions are written in C and are freestanding. Also

included in the distribution is a set of C++ wrapper functions.

THE BASIC LIBRARY FUNCTIONS

---------------------------

Written by: Philip Hazel

Email local part: ph10

Email domain: cam.ac.uk

University of Cambridge Computing Service,

Cambridge, England.

Copyright (c) 1997-2008 University of Cambridge

All rights reserved.

THE C++ WRAPPER FUNCTIONS

-------------------------

Contributed by: Google Inc.

Copyright (c) 2007-2008, Google Inc.

All rights reserved.

THE "BSD" LICENCE

-----------------

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice,

this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright

notice, this list of conditions and the following disclaimer in the

documentation and/or other materials provided with the distribution.

* Neither the name of the University of Cambridge nor the name of Google

Inc. nor the names of their contributors may be used to endorse or

promote products derived from this software without specific prior

written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"

AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE

IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE

ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE

LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR

CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF

SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS

INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN

CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)

ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE

POSSIBILITY OF SUCH DAMAGE.

End

RAR

****** ***** ****** UnRAR - free utility for RAR archives

** ** ** ** ** ** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

****** ******* ****** License for use and distribution of

** ** ** ** ** ** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

** ** ** ** ** ** FREE portable version

~~~~~~~~~~~~~~~~~~~~~

The source code of UnRAR utility is freeware. This means:

1. All copyrights to RAR and the utility UnRAR are exclusively

owned by the author - Alexander Roshal.

2. The UnRAR sources may be used in any software to handle RAR

archives without limitations free of charge, but cannot be used

to re-create the RAR compression algorithm, which is proprietary.

Distribution of modified UnRAR sources in separate form or as a

part of other software is permitted, provided that it is clearly

stated in the documentation and source comments that the code may

not be used to develop a RAR (WinRAR) compatible archiver.

3. The UnRAR utility may be freely distributed. It is allowed

to distribute UnRAR inside of other software packages.

4. THE RAR ARCHIVER AND THE UnRAR UTILITY ARE DISTRIBUTED "AS IS".

NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT

YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS,

DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING

OR MISUSING THIS SOFTWARE.

5. Installing and using the UnRAR utility signifies acceptance of

these terms and conditions of the license.

6. If you don't agree with terms of the license you must remove

UnRAR files from your storage devices and cease to use the

utility.

Thank you for your interest in RAR and UnRAR.

Alexander L. Roshal

RSA

BSD Protection License

February 2002

Preamble

--------

The Berkeley Software Distribution ("BSD") license has proven very effective

over the years at allowing for a wide spread of work throughout both

commercial and non-commercial products. For programmers whose primary

intention is to improve the general quality of available software, it is

arguable that there is no better license than the BSD license, as it

permits improvements to be used wherever they will help, without idealogical

or metallic constraint.

This is of particular value to those who produce reference implementations

of proposed standards: The case of TCP/IP clearly illustrates that freely

and universally available implementations leads the rapid acceptance of

standards -- often even being used instead of a de jure standard (eg, OSI

network models).

With the rapid proliferation of software licensed under the GNU General

Public License, however, the continued success of this role is called into

question. Given that the inclusion of a few lines of "GPL-tainted" work

into a larger body of work will result in restricted distribution -- and

given that further work will likely build upon the "tainted" portions,

making them difficult to remove at a future date -- there are inevitable

circumstances where authors would, in order to protect their goal of

providing for the widespread usage of their work, wish to guard against

such "GPL-taint".

In addition, one can imagine that companies which operate by producing and

selling (possibly closed-source) code would wish to protect themselves

against the rise of a GPL-licensed competitor. While under existing

licenses this would mean not releasing their code under any form of open

license, if a license existed under which they could incorporate any

improvements back into their own (commercial) products then they might be

far more willing to provide for non-closed distribution.

For the above reasons, we put forth this "BSD Protection License": A

license designed to retain the freedom granted by the BSD license to use

licensed works in a wide variety of settings, both non-commercial and

commercial, while protecting the work from having future contributors

restrict that freedom.

The precise terms and conditions for copying, distribution, and

modification follow.

BSD PROTECTION LICENSE

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION, AND MODIFICATION

----------------------------------------------------------------

0. Definitions.

a) "Program", below, refers to any program or work distributed under

the terms of this license.

b) A "work based on the Program", below, refers to either the Program

or any derivative work under copyright law.

c) "Modification", below, refers to the act of creating derivative works.

d) "You", below, refers to each licensee.

1. Scope.

This license governs the copying, distribution, and modification of the

Program. Other activities are outside the scope of this license; The

act of running the Program is not restricted, and the output from the

Program is covered only if its contents constitute a work based on the

Program.

2. Verbatim copies.

You may copy and distribute verbatim copies of the Program as you

receive it, in any medium, provided that you conspicuously and

appropriately publish on each copy an appropriate copyright notice; keep

intact all the notices that refer to this License and to the absence of

any warranty; and give any other recipients of the Program a copy of this

License along with the Program.

3. Modification and redistribution under closed license.

You may modify your copy or copies of the Program, and distribute

the resulting derivative works, provided that you meet the

following conditions:

a) The copyright notice and disclaimer on the Program must be reproduced

and included in the source code, documentation, and/or other materials

provided in a manner in which such notices are normally distributed.

b) The derivative work must be clearly identified as such, in order that

it may not be confused with the original work.

c) The license under which the derivative work is distributed must

expressly prohibit the distribution of further derivative works.

4. Modification and redistribution under open license.

You may modify your copy or copies of the Program, and distribute

the resulting derivative works, provided that you meet the

following conditions:

a) The copyright notice and disclaimer on the Program must be reproduced

and included in the source code, documentation, and/or other materials

provided in a manner in which such notices are normally distributed.

b) You must clearly indicate the nature and date of any changes made

to the Program. The full details need not necessarily be included in

the individual modified files, provided that each modified file is

clearly marked as such and instructions are included on where the

full details of the modifications may be found.

c) You must cause any work that you distribute or publish, that in whole

or in part contains or is derived from the Program or any part

thereof, to be licensed as a whole at no charge to all third

parties under the terms of this License.

5. Implied acceptance.

You may not copy or distribute the Program or any derivative works except

as expressly provided under this license. Consequently, any such action

will be taken as implied acceptance of the terms of this license.

6. NO WARRANTY.

THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,

INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY

AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL

THE COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR

REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE FOR ANY DIRECT,

INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES

ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING, BUT

NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF

USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND

ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR

TORT, EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE

POSSIBILITY OF SUCH DAMAGES.

Scew

GNU LESSER GENERAL PUBLIC LICENSE

Version 2.1, February 1999

Copyright (C) 1991, 1999 Free Software Foundation, Inc.

59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Everyone is permitted to copy and distribute verbatim copies

of this license document, but changing it is not allowed.

[This is the first released version of the Lesser GPL. It also counts

as the successor of the GNU Library Public License, version 2, hence

the version number 2.1.]

Preamble

The licenses for most software are designed to take away your

freedom to share and change it. By contrast, the GNU General Public

Licenses are intended to guarantee your freedom to share and change

free software--to make sure the software is free for all its users.

This license, the Lesser General Public License, applies to some

specially designated software packages--typically libraries--of the

Free Software Foundation and other authors who decide to use it. You

can use it too, but we suggest you first think carefully about whether

this license or the ordinary General Public License is the better

strategy to use in any particular case, based on the explanations below.

When we speak of free software, we are referring to freedom of use,

not price. Our General Public Licenses are designed to make sure that

you have the freedom to distribute copies of free software (and charge

for this service if you wish); that you receive source code or can get

it if you want it; that you can change the software and use pieces of

it in new free programs; and that you are informed that you can do

these things.

To protect your rights, we need to make restrictions that forbid

distributors to deny you these rights or to ask you to surrender these

rights. These restrictions translate to certain responsibilities for

you if you distribute copies of the library or if you modify it.

For example, if you distribute copies of the library, whether gratis

or for a fee, you must give the recipients all the rights that we gave

you. You must make sure that they, too, receive or can get the source

code. If you link other code with the library, you must provide

complete object files to the recipients, so that they can relink them

with the library after making changes to the library and recompiling

it. And you must show them these terms so they know their rights.

We protect your rights with a two-step method: (1) we copyright the

library, and (2) we offer you this license, which gives you legal

permission to copy, distribute and/or modify the library.

To protect each distributor, we want to make it very clear that

there is no warranty for the free library. Also, if the library is

modified by someone else and passed on, the recipients should know

that what they have is not the original version, so that the original

author's reputation will not be affected by problems that might be

introduced by others.

Finally, software patents pose a constant threat to the existence of

any free program. We wish to make sure that a company cannot

effectively restrict the users of a free program by obtaining a

restrictive license from a patent holder. Therefore, we insist that

any patent license obtained for a version of the library must be

consistent with the full freedom of use specified in this license.

Most GNU software, including some libraries, is covered by the

ordinary GNU General Public License. This license, the GNU Lesser

General Public License, applies to certain designated libraries, and

is quite different from the ordinary General Public License. We use

this license for certain libraries in order to permit linking those

libraries into non-free programs.

When a program is linked with a library, whether statically or using

a shared library, the combination of the two is legally speaking a

combined work, a derivative of the original library. The ordinary

General Public License therefore permits such linking only if the

entire combination fits its criteria of freedom. The Lesser General

Public License permits more lax criteria for linking other code with

the library.

We call this license the "Lesser" General Public License because it

does Less to protect the user's freedom than the ordinary General

Public License. It also provides other free software developers Less

of an advantage over competing non-free programs. These disadvantages

are the reason we use the ordinary General Public License for many

libraries. However, the Lesser license provides advantages in certain

special circumstances.

For example, on rare occasions, there may be a special need to

encourage the widest possible use of a certain library, so that it becomes

a de-facto standard. To achieve this, non-free programs must be

allowed to use the library. A more frequent case is that a free

library does the same job as widely used non-free libraries. In this

case, there is little to gain by limiting the free library to free

software only, so we use the Lesser General Public License.

In other cases, permission to use a particular library in non-free

programs enables a greater number of people to use a large body of

free software. For example, permission to use the GNU C Library in

non-free programs enables many more people to use the whole GNU

operating system, as well as its variant, the GNU/Linux operating

system.

Although the Lesser General Public License is Less protective of the

users' freedom, it does ensure that the user of a program that is

linked with the Library has the freedom and the wherewithal to run

that program using a modified version of the Library.

The precise terms and conditions for copying, distribution and

modification follow. Pay close attention to the difference between a

"work based on the library" and a "work that uses the library". The

former contains code derived from the library, whereas the latter must

be combined with the library in order to run.

GNU LESSER GENERAL PUBLIC LICENSE

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License Agreement applies to any software library or other

program which contains a notice placed by the copyright holder or

other authorized party saying it may be distributed under the terms of

this Lesser General Public License (also called "this License").

Each licensee is addressed as "you".

A "library" means a collection of software functions and/or data

prepared so as to be conveniently linked with application programs

(which use some of those functions and data) to form executables.

The "Library", below, refers to any such software library or work

which has been distributed under these terms. A "work based on the

Library" means either the Library or any derivative work under

copyright law: that is to say, a work containing the Library or a

portion of it, either verbatim or with modifications and/or translated

straightforwardly into another language. (Hereinafter, translation is

included without limitation in the term "modification".)

"Source code" for a work means the preferred form of the work for

making modifications to it. For a library, complete source code means

all the source code for all modules it contains, plus any associated

interface definition files, plus the scripts used to control compilation

and installation of the library.

Activities other than copying, distribution and modification are not

covered by this License; they are outside its scope. The act of

running a program using the Library is not restricted, and output from

such a program is covered only if its contents constitute a work based

on the Library (independent of the use of the Library in a tool for

writing it). Whether that is true depends on what the Library does

and what the program that uses the Library does.

1. You may copy and distribute verbatim copies of the Library's

complete source code as you receive it, in any medium, provided that

you conspicuously and appropriately publish on each copy an

appropriate copyright notice and disclaimer of warranty; keep intact

all the notices that refer to this License and to the absence of any

warranty; and distribute a copy of this License along with the

Library.

You may charge a fee for the physical act of transferring a copy,

and you may at your option offer warranty protection in exchange for a

fee.

2. You may modify your copy or copies of the Library or any portion

of it, thus forming a work based on the Library, and copy and

distribute such modifications or work under the terms of Section 1

above, provided that you also meet all of these conditions:

a) The modified work must itself be a software library.

b) You must cause the files modified to carry prominent notices

stating that you changed the files and the date of any change.

c) You must cause the whole of the work to be licensed at no

charge to all third parties under the terms of this License.

d) If a facility in the modified Library refers to a function or a

table of data to be supplied by an application program that uses

the facility, other than as an argument passed when the facility

is invoked, then you must make a good faith effort to ensure that,

in the event an application does not supply such function or

table, the facility still operates, and performs whatever part of

its purpose remains meaningful.

(For example, a function in a library to compute square roots has

a purpose that is entirely well-defined independent of the

application. Therefore, Subsection 2d requires that any

application-supplied function or table used by this function must

be optional: if the application does not supply it, the square

root function must still compute square roots.)

These requirements apply to the modified work as a whole. If

identifiable sections of that work are not derived from the Library,

and can be reasonably considered independent and separate works in

themselves, then this License, and its terms, do not apply to those

sections when you distribute them as separate works. But when you

distribute the same sections as part of a whole which is a work based

on the Library, the distribution of the whole must be on the terms of

this License, whose permissions for other licensees extend to the

entire whole, and thus to each and every part regardless of who wrote

it.

Thus, it is not the intent of this section to claim rights or contest

your rights to work written entirely by you; rather, the intent is to

exercise the right to control the distribution of derivative or

collective works based on the Library.

In addition, mere aggregation of another work not based on the Library

with the Library (or with a work based on the Library) on a volume of

a storage or distribution medium does not bring the other work under

the scope of this License.

3. You may opt to apply the terms of the ordinary GNU General Public

License instead of this License to a given copy of the Library. To do

this, you must alter all the notices that refer to this License, so

that they refer to the ordinary GNU General Public License, version 2,

instead of to this License. (If a newer version than version 2 of the

ordinary GNU General Public License has appeared, then you can specify

that version instead if you wish.) Do not make any other change in

these notices.

Once this change is made in a given copy, it is irreversible for

that copy, so the ordinary GNU General Public License applies to all

subsequent copies and derivative works made from that copy.

This option is useful when you wish to copy part of the code of

the Library into a program that is not a library.

4. You may copy and distribute the Library (or a portion or

derivative of it, under Section 2) in object code or executable form

under the terms of Sections 1 and 2 above provided that you accompany

it with the complete corresponding machine-readable source code, which

must be distributed under the terms of Sections 1 and 2 above on a

medium customarily used for software interchange.

If distribution of object code is made by offering access to copy

from a designated place, then offering equivalent access to copy the

source code from the same place satisfies the requirement to

distribute the source code, even though third parties are not

compelled to copy the source along with the object code.

5. A program that contains no derivative of any portion of the

Library, but is designed to work with the Library by being compiled or

linked with it, is called a "work that uses the Library". Such a

work, in isolation, is not a derivative work of the Library, and

therefore falls outside the scope of this License.

However, linking a "work that uses the Library" with the Library

creates an executable that is a derivative of the Library (because it

contains portions of the Library), rather than a "work that uses the

library". The executable is therefore covered by this License.

Section 6 states terms for distribution of such executables.

When a "work that uses the Library" uses material from a header file

that is part of the Library, the object code for the work may be a

derivative work of the Library even though the source code is not.

Whether this is true is especially significant if the work can be

linked without the Library, or if the work is itself a library. The

threshold for this to be true is not precisely defined by law.

If such an object file uses only numerical parameters, data

structure layouts and accessors, and small macros and small inline

functions (ten lines or less in length), then the use of the object

file is unrestricted, regardless of whether it is legally a derivative

work. (Executables containing this object code plus portions of the

Library will still fall under Section 6.)

Otherwise, if the work is a derivative of the Library, you may

distribute the object code for the work under the terms of Section 6.

Any executables containing that work also fall under Section 6,

whether or not they are linked directly with the Library itself.

6. As an exception to the Sections above, you may also combine or

link a "work that uses the Library" with the Library to produce a

work containing portions of the Library, and distribute that work

under terms of your choice, provided that the terms permit

modification of the work for the customer's own use and reverse

engineering for debugging such modifications.

You must give prominent notice with each copy of the work that the

Library is used in it and that the Library and its use are covered by

this License. You must supply a copy of this License. If the work

during execution displays copyright notices, you must include the

copyright notice for the Library among them, as well as a reference

directing the user to the copy of this License. Also, you must do one

of these things:

a) Accompany the work with the complete corresponding

machine-readable source code for the Library including whatever

changes were used in the work (which must be distributed under

Sections 1 and 2 above); and, if the work is an executable linked

with the Library, with the complete machine-readable "work that

uses the Library", as object code and/or source code, so that the

user can modify the Library and then relink to produce a modified

executable containing the modified Library. (It is understood

that the user who changes the contents of definitions files in the

Library will not necessarily be able to recompile the application

to use the modified definitions.)

b) Use a suitable shared library mechanism for linking with the

Library. A suitable mechanism is one that (1) uses at run time a

copy of the library already present on the user's computer system,

rather than copying library functions into the executable, and (2)

will operate properly with a modified version of the library, if

the user installs one, as long as the modified version is

interface-compatible with the version that the work was made with.

c) Accompany the work with a written offer, valid for at

least three years, to give the same user the materials

specified in Subsection 6a, above, for a charge no more

than the cost of performing this distribution.

d) If distribution of the work is made by offering access to copy

from a designated place, offer equivalent access to copy the above

specified materials from the same place.

e) Verify that the user has already received a copy of these

materials or that you have already sent this user a copy.

For an executable, the required form of the "work that uses the

Library" must include any data and utility programs needed for

reproducing the executable from it. However, as a special exception,

the materials to be distributed need not include anything that is

normally distributed (in either source or binary form) with the major

components (compiler, kernel, and so on) of the operating system on

which the executable runs, unless that component itself accompanies

the executable.

It may happen that this requirement contradicts the license

restrictions of other proprietary libraries that do not normally

accompany the operating system. Such a contradiction means you cannot

use both them and the Library together in an executable that you

distribute.

7. You may place library facilities that are a work based on the

Library side-by-side in a single library together with other library

facilities not covered by this License, and distribute such a combined

library, provided that the separate distribution of the work based on

the Library and of the other library facilities is otherwise

permitted, and provided that you do these two things:

a) Accompany the combined library with a copy of the same work

based on the Library, uncombined with any other library

facilities. This must be distributed under the terms of the

Sections above.

b) Give prominent notice with the combined library of the fact

that part of it is a work based on the Library, and explaining

where to find the accompanying uncombined form of the same work.

8. You may not copy, modify, sublicense, link with, or distribute

the Library except as expressly provided under this License. Any

attempt otherwise to copy, modify, sublicense, link with, or

distribute the Library is void, and will automatically terminate your

rights under this License. However, parties who have received copies,

or rights, from you under this License will not have their licenses

terminated so long as such parties remain in full compliance.

9. You are not required to accept this License, since you have not

signed it. However, nothing else grants you permission to modify or

distribute the Library or its derivative works. These actions are

prohibited by law if you do not accept this License. Therefore, by

modifying or distributing the Library (or any work based on the

Library), you indicate your acceptance of this License to do so, and

all its terms and conditions for copying, distributing or modifying

the Library or works based on it.

10. Each time you redistribute the Library (or any work based on the

Library), the recipient automatically receives a license from the

original licensor to copy, distribute, link with or modify the Library

subject to these terms and conditions. You may not impose any further

restrictions on the recipients' exercise of the rights granted herein.

You are not responsible for enforcing compliance by third parties with

this License.

11. If, as a consequence of a court judgment or allegation of patent

infringement or for any other reason (not limited to patent issues),

conditions are imposed on you (whether by court order, agreement or

otherwise) that contradict the conditions of this License, they do not

excuse you from the conditions of this License. If you cannot

distribute so as to satisfy simultaneously your obligations under this

License and any other pertinent obligations, then as a consequence you

may not distribute the Library at all. For example, if a patent

license would not permit royalty-free redistribution of the Library by

all those who receive copies directly or indirectly through you, then

the only way you could satisfy both it and this License would be to

refrain entirely from distribution of the Library.

If any portion of this section is held invalid or unenforceable under any

particular circumstance, the balance of the section is intended to apply,

and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any

patents or other property right claims or to contest validity of any

such claims; this section has the sole purpose of protecting the

integrity of the free software distribution system which is

implemented by public license practices. Many people have made

generous contributions to the wide range of software distributed

through that system in reliance on consistent application of that

system; it is up to the author/donor to decide if he or she is willing

to distribute software through any other system and a licensee cannot

impose that choice.

This section is intended to make thoroughly clear what is believed to

be a consequence of the rest of this License.

12. If the distribution and/or use of the Library is restricted in

certain countries either by patents or by copyrighted interfaces, the

original copyright holder who places the Library under this License may add

an explicit geographical distribution limitation excluding those countries,

so that distribution is permitted only in or among countries not thus

excluded. In such case, this License incorporates the limitation as if

written in the body of this License.

13. The Free Software Foundation may publish revised and/or new

versions of the Lesser General Public License from time to time.

Such new versions will be similar in spirit to the present version,

but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library

specifies a version number of this License which applies to it and

"any later version", you have the option of following the terms and

conditions either of that version or of any later version published by

the Free Software Foundation. If the Library does not specify a

license version number, you may choose any version ever published by

the Free Software Foundation.

14. If you wish to incorporate parts of the Library into other free

programs whose distribution conditions are incompatible with these,

write to the author to ask for permission. For software which is

copyrighted by the Free Software Foundation, write to the Free

Software Foundation; we sometimes make exceptions for this. Our

decision will be guided by the two goals of preserving the free status

of all derivatives of our free software and of promoting the sharing

and reuse of software generally.

NO WARRANTY

15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO

WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW.

EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR

OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY

KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE

IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR

PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE

LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME

THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN

WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY

AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU

FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR

CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE

LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING

RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A

FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF

SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH

DAMAGES.

END OF TERMS AND CONDITIONS

How to Apply These Terms to Your New Libraries

If you develop a new library, and you want it to be of the greatest

possible use to the public, we recommend making it free software that

everyone can redistribute and change. You can do so by permitting

redistribution under these terms (or, alternatively, under the terms of the

ordinary General Public License).

To apply these terms, attach the following notices to the library. It is

safest to attach them to the start of each source file to most effectively

convey the exclusion of warranty; and each file should have at least the

"copyright" line and a pointer to where the full notice is found.

<one line to give the library's name and a brief idea of what it does.>

Copyright (C) <year> <name of author>

This library is free software; you can redistribute it and/or

modify it under the terms of the GNU Lesser General Public

License as published by the Free Software Foundation; either

version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,

but WITHOUT ANY WARRANTY; without even the implied warranty of

MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU

Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public

License along with this library; if not, write to the Free Software

Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Also add information on how to contact you by electronic and paper mail.

You should also get your employer (if you work as a programmer) or your

school, if any, to sign a "copyright disclaimer" for the library, if

necessary. Here is a sample; alter the names:

Yoyodyne, Inc., hereby disclaims all copyright interest in the

library `Frob' (a library for tweaking knobs) written by James Random Hacker.

<signature of Ty Coon>, 1 April 1990

Ty Coon, President of Vice

That's all there is to it!

UUE

/*

===== UUENCODE ======

uuencode is a utility designed to enable arbitrary binary files to be

transmitted using text-only media such as email. It does this by

encoding the files in such a way that the encoded file contains only

printable characters.

(IMPORTANT Note: this file is the result of an afternoon's hacking by

myself. I make no guarantees as to its completeness and accuracy. I have

coded my own uuencode and uudecode programs which haven't let me down

yet)

The uuencode algorithm hinges around a 3-byte-to-4-byte (8-bit to 6-bit

data) encoding to convert all data to printable characters. To perform

this encoding read in 3 bytes from the file to be encoded whose binary

representation is

a7a6a5a4a3a2a1a0 b7b6b5b4b3b2b1b0 c7c6c5c4c3c2c1c0

and convert them into 4 bytes with values in the range 0-63 as follows:

0 0 a7a6a5a4a3a2 0 0 a1a0b7b6b5b4 0 0 b3b2b1b0c7c6 0 0 c5c4c3c2c1c0

Then convert these bytes to printable characters by adding 0x20 (32).

EXCEPTION: if you end up with a zero byte it should be converted to 0x60

(back-quote '`') rather than 0x20 (space ' ').

So if you read 3 bytes from the file as follows: 14 0F A8 (hex) i.e.

00010100 00001111 10101000

your 4 bytes output should be 25 60 5E 48 ("%`_H"). The intermediate 4

bytes in this case were

00000101 00000000 00111110 00101000

Note that the zero byte has been translated to 0x60 instead of 0x20. The

body of a uuencoded file therefore only contains the characters 0x21 '!'

to 0x60 '`', which are all printable and capable of being transmitted by

email.

(Note: this of course means that uuencoded files are slightly more than

33% longer than the originals. uuencoding text-only files is redundant

and a silly thing to do. Standard and sensible practice is to compress

the files first using a standard compression utility and then to

uuencode them).

In addition, the start of the encoding is marked by the line "start

<mode> <filename>", where

<mode> consists of 3 octal digits which are the Unix mode of the file,

and

<filename> is the original filename of the file encoded.

The end of the encoding is marked by the line "end".

The first character of each line contains the line length in bytes *in

the original file*, encoded in the same way as an ordinary byte i.e.

line length 0->0x60, all other lengths add 0x20 to convert to printable

characters. Line lengths vary from 0 to 45 (which encodes to 'M'; this

is why lines in a uuencoded file all start with an M), which is a line

length of 61 characters (including the length character) in the encoded

file. This is a nice safe length to transmit via email.

Lines in the encoded file are always a multiple of 4 + 1 characters

long; this sometimes means that 1 or 2 bytes are thrown away at the end

of the decoding.

(Note: I can't see any reason why lines shouldn't be an arbitrary

length, and don't know whether the proper definition disallows this.

I've never seen a uuencoded file where any line apart from the last one

wasn't 'M' followed by 60 characters, though)

To decode, simply perform the inverse of the encoding algorithm.

jim

--

j.cameron@physiology.ucl.ac.uk

===== SAMPLE CODE =====

I include here the C source code to a small uuencode and uudecode

utility I coded myself. It isn't very sophisticated and probably not

very complete, but it does its job, and is very useful for my PC where I

don't have access to the standard Unix stuff. It took me about half an

hour to write, and another hour or so to iron out the obvious bugs. It

works quite happily under DOS (uuencoding needs practically no internal

storage). It isn't a great masterpiece of software design and coding,

but might be worth a look. Feel free to do whatever you want to it, up

to and including throwing it in the bin.

*/

XERCES

Apache License

Version 2.0, January 2004

http://www.apache.org/licenses/

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction,

and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by

the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all

other entities that control, are controlled by, or are under common

control with that entity. For the purposes of this definition,

"control" means (i) the power, direct or indirect, to cause the

direction or management of such entity, whether by contract or

otherwise, or (ii) ownership of fifty percent (50%) or more of the

outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity

exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications,

including but not limited to software source code, documentation

source, and configuration files.

"Object" form shall mean any form resulting from mechanical

transformation or translation of a Source form, including but

not limited to compiled object code, generated documentation,

and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or

Object form, made available under the License, as indicated by a

copyright notice that is included in or attached to the work

(an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object

form, that is based on (or derived from) the Work and for which the

editorial revisions, annotations, elaborations, or other modifications

represent, as a whole, an original work of authorship. For the purposes

of this License, Derivative Works shall not include works that remain

separable from, or merely link (or bind by name) to the interfaces of,

the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including

the original version of the Work and any modifications or additions

to that Work or Derivative Works thereof, that is intentionally

submitted to Licensor for inclusion in the Work by the copyright owner

or by an individual or Legal Entity authorized to submit on behalf of

the copyright owner. For the purposes of this definition, "submitted"

means any form of electronic, verbal, or written communication sent

to the Licensor or its representatives, including but not limited to

communication on electronic mailing lists, source code control systems,

and issue tracking systems that are managed by, or on behalf of, the

Licensor for the purpose of discussing and improving the Work, but

excluding communication that is conspicuously marked or otherwise

designated in writing by the copyright owner as "Not a Contribution."

"Contributor" shall mean Licensor and any individual or Legal Entity

on behalf of whom a Contribution has been received by Licensor and

subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of

this License, each Contributor hereby grants to You a perpetual,

worldwide, non-exclusive, no-charge, royalty-free, irrevocable

copyright license to reproduce, prepare Derivative Works of,

publicly display, publicly perform, sublicense, and distribute the

Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of

this License, each Contributor hereby grants to You a perpetual,

worldwide, non-exclusive, no-charge, royalty-free, irrevocable

(except as stated in this section) patent license to make, have made,

use, offer to sell, sell, import, and otherwise transfer the Work,

where such license applies only to those patent claims licensable

by such Contributor that are necessarily infringed by their

Contribution(s) alone or by combination of their Contribution(s)

with the Work to which such Contribution(s) was submitted. If You

institute patent litigation against any entity (including a

cross-claim or counterclaim in a lawsuit) alleging that the Work

or a Contribution incorporated within the Work constitutes direct

or contributory patent infringement, then any patent licenses

granted to You under this License for that Work shall terminate

as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the

Work or Derivative Works thereof in any medium, with or without

modifications, and in Source or Object form, provided that You

meet the following conditions:

(a) You must give any other recipients of the Work or

Derivative Works a copy of this License; and

(b) You must cause any modified files to carry prominent notices

stating that You changed the files; and

(c) You must retain, in the Source form of any Derivative Works

that You distribute, all copyright, patent, trademark, and

attribution notices from the Source form of the Work,

excluding those notices that do not pertain to any part of

the Derivative Works; and

(d) If the Work includes a "NOTICE" text file as part of its

distribution, then any Derivative Works that You distribute must

include a readable copy of the attribution notices contained

within such NOTICE file, excluding those notices that do not

pertain to any part of the Derivative Works, in at least one

of the following places: within a NOTICE text file distributed

as part of the Derivative Works; within the Source form or

documentation, if provided along with the Derivative Works; or,

within a display generated by the Derivative Works, if and

wherever such third-party notices normally appear. The contents

of the NOTICE file are for informational purposes only and

do not modify the License. You may add Your own attribution

notices within Derivative Works that You distribute, alongside

or as an addendum to the NOTICE text from the Work, provided

that such additional attribution notices cannot be construed

as modifying the License.

You may add Your own copyright statement to Your modifications and

may provide additional or different license terms and conditions

for use, reproduction, or distribution of Your modifications, or

for any such Derivative Works as a whole, provided Your use,

reproduction, and distribution of the Work otherwise complies with

the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise,

any Contribution intentionally submitted for inclusion in the Work

by You to the Licensor shall be under the terms and conditions of

this License, without any additional terms or conditions.

Notwithstanding the above, nothing herein shall supersede or modify

the terms of any separate license agreement you may have executed

with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade

names, trademarks, service marks, or product names of the Licensor,

except as required for reasonable and customary use in describing the

origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or

agreed to in writing, Licensor provides the Work (and each

Contributor provides its Contributions) on an "AS IS" BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or

implied, including, without limitation, any warranties or conditions

of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A

PARTICULAR PURPOSE. You are solely responsible for determining the

appropriateness of using or redistributing the Work and assume any

risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory,

whether in tort (including negligence), contract, or otherwise,

unless required by applicable law (such as deliberate and grossly

negligent acts) or agreed to in writing, shall any Contributor be

liable to You for damages, including any direct, indirect, special,

incidental, or consequential damages of any character arising as a

result of this License or out of the use or inability to use the

Work (including but not limited to damages for loss of goodwill,

work stoppage, computer failure or malfunction, or any and all

other commercial damages or losses), even if such Contributor

has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing

the Work or Derivative Works thereof, You may choose to offer,

and charge a fee for, acceptance of support, warranty, indemnity,

or other liability obligations and/or rights consistent with this

License. However, in accepting such obligations, You may act only

on Your own behalf and on Your sole responsibility, not on behalf

of any other Contributor, and only if You agree to indemnify,

defend, and hold each Contributor harmless for any liability

incurred by, or claims asserted against, such Contributor by reason

of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

APPENDIX: How to apply the Apache License to your work.

To apply the Apache License to your work, attach the following

boilerplate notice, with the fields enclosed by brackets "[]"

replaced with your own identifying information. (Don't include

the brackets!) The text should be enclosed in the appropriate

comment syntax for the file format. We also recommend that a

file or class name and description of purpose be included on the

same "printed page" as the copyright notice for easier

identification within third-party archives.

Copyright [2008] [Avira GmbH]

Licensed under the Apache License, Version 2.0 (the "License");

you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software

distributed under the License is distributed on an "AS IS" BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

See the License for the specific language governing permissions and

limitations under the License.

/*

* Licensed to the Apache Software Foundation (ASF) under one or more

* contributor license agreements. See the NOTICE file distributed with

* this work for additional information regarding copyright ownership.

* The ASF licenses this file to You under the Apache License, Version 2.0

* (the "License"); you may not use this file except in compliance with

* the License. You may obtain a copy of the License at

*

* http://www.apache.org/licenses/LICENSE-2.0

*

* Unless required by applicable law or agreed to in writing, software

* distributed under the License is distributed on an "AS IS" BASIS,

* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

* See the License for the specific language governing permissions and

* limitations under the License.

*/

ZIP

This is version 2005-Feb-10 of the Info-ZIP copyright and license.

The definitive version of this document should be available at

ftp://ftp.info-zip.org/pub/infozip/license.html indefinitely.

Copyright (c) 1990-2005 Info-ZIP. All rights reserved.

For the purposes of this copyright and license, "Info-ZIP" is defined as

the following set of individuals:

Mark Adler, John Bush, Karl Davis, Harald Denker, Jean-Michel Dubois,

Jean-loup Gailly, Hunter Goatley, Ed Gordon, Ian Gorman, Chris Herborth,

Dirk Haase, Greg Hartwig, Robert Heath, Jonathan Hudson, Paul Kienitz,

David Kirschbaum, Johnny Lee, Onno van der Linden, Igor Mandrichenko,

Steve P. Miller, Sergio Monesi, Keith Owens, George Petrov, Greg Roelofs,

Kai Uwe Rommel, Steve Salisbury, Dave Smith, Steven M. Schweda,

Christian Spieler, Cosmin Truta, Antoine Verheijen, Paul von Behren,

Rich Wales, Mike White

This software is provided "as is," without warranty of any kind, express

or implied. In no event shall Info-ZIP or its contributors be held liable

for any direct, indirect, incidental, special or consequential damages

arising out of the use of or inability to use this software.

Permission is granted to anyone to use this software for any purpose,

including commercial applications, and to alter it and redistribute it

freely, subject to the following restrictions:

1. Redistributions of source code must retain the above copyright notice,

definition, disclaimer, and this list of conditions.

2. Redistributions in binary form (compiled executables) must reproduce

the above copyright notice, definition, disclaimer, and this list of

conditions in documentation and/or other materials provided with the

distribution. The sole exception to this condition is redistribution

of a standard UnZipSFX binary (including SFXWiz) as part of a

self-extracting archive; that is permitted without inclusion of this

license, as long as the normal SFX banner has not been removed from

the binary or disabled.

3. Altered versions--including, but not limited to, ports to new operating

systems, existing ports with new graphical interfaces, and dynamic,

shared, or static library versions--must be plainly marked as such

and must not be misrepresented as being the original source. Such

altered versions also must not be misrepresented as being Info-ZIP

releases--including, but not limited to, labeling of the altered

versions with the names "Info-ZIP" (or any variation thereof, including,

but not limited to, different capitalizations), "Pocket UnZip," "WiZ"

or "MacZip" without the explicit permission of Info-ZIP. Such altered

versions are further prohibited from misrepresentative use of the

Zip-Bugs or Info-ZIP e-mail addresses or of the Info-ZIP URL(s).

4. Info-ZIP retains the right to use the names "Info-ZIP," "Zip," "UnZip,"

"UnZipSFX," "WiZ," "Pocket UnZip," "Pocket Zip," and "MacZip" for its

own source and binary releases.

ZLIB

/* zlib.h -- interface of the 'zlib' general purpose compression library

version 1.2.3, July 18th, 2005

Copyright (C) 1995-2005 Jean-loup Gailly and Mark Adler

This software is provided 'as-is', without any express or implied

warranty. In no event will the authors be held liable for any damages

arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,

including commercial applications, and to alter it and redistribute it

freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not

claim that you wrote the original software. If you use this software

in a product, an acknowledgment in the product documentation would be

appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be

misrepresented as being the original software.

3. This notice may not be removed or altered from any source distribution.

Jean-loup Gailly Mark Adler

jloup@gzip.org madler@alumni.caltech.edu

The data format used by the zlib library is described by RFCs (Request for

Comments) 1950 to 1952 in the files http://www.ietf.org/rfc/rfc1950.txt

(zlib format), rfc1951.txt (deflate format) and rfc1952.txt (gzip format).

*/


Configuration :: File extensions

Scanner

The list of this window displays all file extensions that are included in a scan if the option Use file extension list is enabled or a new profile is created in which the file filter is adapted.

Note
Please do not enter any extensions of non-executable files, as this would impair the scanning performance of Avira AntiVir Personal.

This list can be edited as follows:

Add

Opens another window in which you can enter a new file extension.

Delete

Deletes the selected entry from the list.

Default

This button resets the list to the default settings of Avira AntiVir Personal as supplied by us. This list of default extensions may change, if for example new virus types are created.

Note
Changes to the list and own entries are lost when resetting to the default settings.


Configuration::File extensions::Guard

Configuration :: File extensions

Guard

All file extensions scanned by Guard are displayed in the list in this window, if the option Use file extension list is activated.

Note
Please do not enter any extensions of non-executable files as this may compromise the Avira AntiVir Personal scan service.

This list can be edited as follows:

Insert

Another window opens in which you can enter a new file extension.

Delete

Deletes the highlighted entry from the list.

Default

This button resets the list to the Avira AntiVir Personal default settings. This list of default extensions can be amended if, for example, new virus types appear.

Note
Amendments to the list and custom entries are lost when default settings are reset.


Configuration :: File extensions :: New file extension

Configuration :: File extensions

New file extension

In this window you can enter a new extension in the box behind "File extension:" which is added to the list of file extensions.

Up to 10 characters are accepted, the preceding dot is not entered. An invalid character is not accepted. Wildcards (* and ?) are allowed as substitutes.